<?php
// api/src/Controller/WorkerTest.php

namespace App\Controller;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

use App\Entity\Worker;

class WorkerInfo extends AbstractController
{
    public function __invoke(Worker $data): Worker
    {
        $payload = [
            'value' => $data->getId(),
            'type' => 'String',
        ];     

        $body = [
            'variables' => [
                'payload' => $payload,
            ],
            'businessKey' => 'AGROINVEST',
        ];

        $url = $_ENV['CAMUNDA_URL'] 
          . ':' 
          . $_ENV['CAMUNDA_PORT'] 
          . '/engine-rest/process-definition/key/WorkerInfo/start';

        $params = json_encode($body);

        $curl = curl_init($url);

        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $params);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($curl, CURLOPT_HTTPHEADER, array(                                                                          
            'Content-Type: application/json',                                                                                
            'Content-Length: ' . strlen($params))                                                                       
        ); 

        $response = curl_exec($curl);

        curl_close($curl);     
        
        // header
        // header('Content-Type: application/json');
        // echo $response;  
        // exit;

        return $data;
    }
}