<?php

namespace App\Entity;

use ApiPlatform\Core\Annotation\ApiResource;
use ApiPlatform\Core\Annotation\ApiProperty;
use Symfony\Component\Validator\Constraints as Assert;
use Doctrine\ORM\Mapping as ORM;
use App\Traits\DateTimeTrait as dateTimeTrait;
use Symfony\Component\Validator\Constraints\Uuid;

/**
 * @ApiResource()
 * @ORM\Entity(repositoryClass="App\Repository\RowStateRepository")
 *
 * @uses Catalog_актСостоянияРядов
 */
class RowState
{
    use dateTimeTrait;

    /**
     * @ApiProperty(identifier=true)
     * @ORM\Id
     * @ORM\Column(type="guid", unique=true)
     * @Assert\Uuid
     */
    private $id;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $description;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $name;

    /**
     * @ORM\Column(type="json_array",nullable=true,options={"jsonb"=true})
     */
    private $raw = [];

    public function setId(?string $id): RowState
    {
        $this->id = $id;

        return $this;
    }

    public function getId(): ?string
    {
        return $this->id;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(?string $description): RowState
    {
        $this->description = $description;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(?string $name): RowState
    {
        $this->name = $name;

        return $this;
    }

    public function getRaw(): ?array
    {
        return $this->raw;
    }

    public function setRaw(array $raw): RowState
    {
        $this->raw = $raw;

        return $this;
    }
}
