<?php

// src/EventListener/class FlowEventListener.php
namespace App\EventListener;

use App\Entity\Flow;
use App\Entity\Structure;
use App\Entity\Greenhouse;
use Doctrine\ORM\Event\LifecycleEventArgs;
use Doctrine\ORM\Event\PreUpdateEventArgs;

class FlowEventListener
{
    // the entity listener methods receive two arguments:
    // the entity instance and the lifecycle event
    public function postLoad(Flow $flow, LifecycleEventArgs $event)
    {
      $entityManager = $event->getObjectManager();
      $greenhouseRepository = $entityManager->getRepository(Greenhouse::class);
      $structureRepository = $entityManager->getRepository(Structure::class);

      if(!empty($flow->getRaw())) {
        $greenhouse = $greenhouseRepository->find($flow->getRaw()['Теплица_Key']);

        if($greenhouse) {
          $flow->setGreenhouse($greenhouse);
        }

        $structure = $structureRepository->find($flow->getRaw()['ПосевнаяПлощадь_Key']);
      
        if($structure) {
          $flow->setStructure($structure);
        }
      }

      // ... do something to notify the changes
    }
}
