<?php

namespace App\EventListener;

use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Event\ResponseEvent;

class RequestListener
{
    private $em;
    private $start;
    private $end;
    private $requestUri = '';

    public function __construct($em)
    {
      $this->em = $em;
    }

    public function onKernelRequest(RequestEvent $event)
    {
        $request = $event->getRequest();
        $apiKey = $request->headers->get('Authorization');
        $auditUsername = $request->headers->get('X-Username');

        $escaped = pg_escape_string($auditUsername);

        $conn = $this->em->getConnection();
        $stmt = $conn->prepare("set audit.logged_username = '{$escaped}'");
        $stmt->execute();

        if($request->isMethod('get')) {
          $this->requestUri = $request->getRequestUri();
        }

        $this->start = microtime(true);

        // $response = new Response();
        // $response->setStatusCode(401);

        // if (!$apiKey) {
        //   $response->setContent(json_encode('Api-key missing'));
        //   $event->setResponse($response);
        // } else if ($apiKey !== $_ENV['API_KEY']) {
        //   $response->setContent(json_encode('Wrong Api-Key'));
        //   $event->setResponse($response);
        // }
    }

    // https://symfony.com/doc/current/event_dispatcher/before_after_filters.html
    public function onKernelResponse(ResponseEvent $event)
    {
        $this->end = microtime(true);
        $execution = round($this->end - $this->start, 3) * 1000;

        if($this->requestUri) {
          $escaped = pg_escape_string($this->requestUri);

          $conn = $this->em->getConnection();
          $stmt = $conn->prepare("INSERT INTO kernel (request, execution) VALUES ('{$escaped}', '$execution')");
          $stmt->execute();
        }
    }
}