<?php

// src/EventListener/class SyncEventListener.php
namespace App\EventListener;

use App\Entity\Task;
use App\Entity\Sync;
use App\Entity\Trolley;
use Doctrine\ORM\Event\LifecycleEventArgs;
use Doctrine\ORM\Event\PreUpdateEventArgs;

class SyncEventListener
{
    // the entity listener methods receive two arguments:
    // the entity instance and the lifecycle event
    public function postLoad(Sync $sync, LifecycleEventArgs $event)
    {
      //$this->getInProgress($task, $event);

      $entityManager = $event->getObjectManager();

      $taskRepository = $entityManager->getRepository(Task::class);
      $trolleyRepository = $entityManager->getRepository(Trolley::class);
      $syncRepository = $entityManager->getRepository(Sync::class);

      $trolleyTask = null ;
      $taskTrolley = null ;

      $task = $sync->getTask();
      $trolley = $sync->getTrolley();

      if($trolley) {
        $trolleyTask = $taskRepository->getSyncTask(
          $trolley
        );
      }  

      if($task) {
        $taskTrolley = $trolleyRepository->getSyncTrolley(
          $task
        );
      }  

      if($trolleyTask) {
        $sync->setTrolleyTask($trolleyTask);
      }

      if($taskTrolley) {
        $sync->setTaskTrolley($taskTrolley);
      }

      // ... do something to notify the changes
    }
}
