<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200118134852 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE OR REPLACE FUNCTION calculateTaskCount()
            RETURNS trigger AS
            $BODY$
            BEGIN
                IF NEW.worker_id IS DISTINCT FROM OLD.worker_id OR NEW.is_finished IS DISTINCT FROM OLD.is_finished THEN
                    UPDATE worker SET task_count = (SELECT count(task.id) as tCount FROM task WHERE task.worker_id=NEW.worker_id AND task.start_at <= now() and task.finish_at >= now() and task.is_finished=false) WHERE id = NEW.worker_id;
                    UPDATE worker SET task_count = (SELECT count(task.id) as tCount FROM task WHERE task.worker_id=OLD.worker_id AND task.start_at <= now() and task.finish_at >= now() and task.is_finished=false) WHERE id = OLD.worker_id;
                END IF;
      
                RETURN NEW;
            END;
            $BODY$
      
            LANGUAGE plpgsql');

        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountUpdate ON task');
        $this->addSql('CREATE TRIGGER calculateTaskCountUpdate
            AFTER UPDATE
            ON task
            FOR EACH ROW
            EXECUTE PROCEDURE calculateTaskCount()');

        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountInsert ON task');
        $this->addSql('CREATE TRIGGER calculateTaskCountInsert
            AFTER INSERT
            ON task
            FOR EACH ROW
            EXECUTE PROCEDURE calculateTaskCount()');

        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountDelete ON task');
        $this->addSql('CREATE TRIGGER calculateTaskCountDelete
            AFTER DELETE
            ON task
            FOR EACH ROW
            EXECUTE PROCEDURE calculateTaskCount()');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SCHEMA public');
        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountUpdate ON task');
        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountInsert ON task');
        $this->addSql('DROP TRIGGER IF EXISTS calculateTaskCountDelete ON task');
    }
}
