<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200221092524 extends AbstractMigration
{
    public function getDescription() : string
    {
        return 'Adding two tables: row_state and row_status according to new entities from 1C';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE row_state (id UUID NOT NULL, description TEXT DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, raw JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN row_state.raw IS \'(DC2Type:json_array)\'');
        $this->addSql('CREATE TABLE row_status (id UUID NOT NULL, row_number INT NOT NULL, period TIMESTAMP(0) WITH TIME ZONE NOT NULL, green_house_id UUID DEFAULT NULL, raw_green_house_id UUID DEFAULT NULL, state_id UUID DEFAULT NULL, raw_state_id UUID DEFAULT NULL, raw JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN row_status.raw IS \'(DC2Type:json_array)\'');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TABLE row_state');
        $this->addSql('DROP TABLE row_status');
    }
}
