<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200228090607 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE greenhouse (id UUID NOT NULL, parent_id UUID DEFAULT NULL, name VARCHAR(128) DEFAULT NULL, raw_parent_id UUID DEFAULT NULL, is_folder BOOLEAN DEFAULT \'false\' NOT NULL, description TEXT DEFAULT NULL, department_id UUID DEFAULT NULL, raw_department_id UUID DEFAULT NULL, comment TEXT DEFAULT NULL, sown_area VARCHAR(255) DEFAULT NULL, raw_greenhouse_topology JSONB DEFAULT NULL, green_house_topology JSONB DEFAULT NULL, raw_work_parameters JSONB DEFAULT NULL, work_parameters JSONB DEFAULT NULL, raw JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DC68F11B727ACA70 ON greenhouse (parent_id)');
        $this->addSql('COMMENT ON COLUMN greenhouse.raw_greenhouse_topology IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN greenhouse.green_house_topology IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN greenhouse.raw_work_parameters IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN greenhouse.work_parameters IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN greenhouse.raw IS \'(DC2Type:json_array)\'');
        $this->addSql('CREATE TABLE structure (id UUID NOT NULL, greenhouse_id UUID DEFAULT NULL, parent_id UUID DEFAULT NULL, name VARCHAR(128) DEFAULT NULL, raw_green_house_id UUID DEFAULT NULL, raw_parent_id VARCHAR(255) DEFAULT NULL, is_folder BOOLEAN DEFAULT \'false\' NOT NULL, description TEXT DEFAULT NULL, comment TEXT DEFAULT NULL, started_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, finished_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, regular_expr TEXT DEFAULT NULL, landing_area INT DEFAULT NULL, batonical_variety_id UUID DEFAULT NULL, raw_batonical_variety_id UUID DEFAULT NULL, green_house_topology JSONB DEFAULT NULL, raw_green_house_topology JSONB DEFAULT NULL, raw JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_6F0137EA38FCB0EB ON structure (greenhouse_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_6F0137EA727ACA70 ON structure (parent_id)');
        $this->addSql('COMMENT ON COLUMN structure.green_house_topology IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN structure.raw_green_house_topology IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN structure.raw IS \'(DC2Type:json_array)\'');
        $this->addSql('ALTER TABLE greenhouse ADD CONSTRAINT FK_DC68F11B727ACA70 FOREIGN KEY (parent_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE structure ADD CONSTRAINT FK_6F0137EA38FCB0EB FOREIGN KEY (greenhouse_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE structure ADD CONSTRAINT FK_6F0137EA727ACA70 FOREIGN KEY (parent_id) REFERENCES structure (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE task ADD greenhouse_id UUID DEFAULT NULL');
        $this->addSql('ALTER TABLE task ADD structure_id UUID DEFAULT NULL');
        $this->addSql('ALTER TABLE task ADD CONSTRAINT FK_527EDB2538FCB0EB FOREIGN KEY (greenhouse_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE task ADD CONSTRAINT FK_527EDB252534008B FOREIGN KEY (structure_id) REFERENCES structure (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_527EDB2538FCB0EB ON task (greenhouse_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_527EDB252534008B ON task (structure_id)');
        $this->addSql('ALTER TABLE row_status RENAME COLUMN green_house_id TO greenhouse_id');
        $this->addSql('ALTER TABLE row_status ADD CONSTRAINT FK_2B26B6CE38FCB0EB FOREIGN KEY (greenhouse_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_2B26B6CE38FCB0EB ON row_status (greenhouse_id)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE greenhouse DROP CONSTRAINT FK_DC68F11B727ACA70');
        $this->addSql('ALTER TABLE task DROP CONSTRAINT FK_527EDB2538FCB0EB');
        $this->addSql('ALTER TABLE structure DROP CONSTRAINT FK_6F0137EA38FCB0EB');
        $this->addSql('ALTER TABLE row_status DROP CONSTRAINT FK_2B26B6CE38FCB0EB');
        $this->addSql('ALTER TABLE task DROP CONSTRAINT FK_527EDB252534008B');
        $this->addSql('ALTER TABLE structure DROP CONSTRAINT FK_6F0137EA727ACA70');
        $this->addSql('DROP TABLE greenhouse');
        $this->addSql('DROP TABLE structure');
        $this->addSql('DROP INDEX UNIQ_2B26B6CE38FCB0EB');
        $this->addSql('ALTER TABLE row_status RENAME COLUMN greenhouse_id TO green_house_id');
        $this->addSql('DROP INDEX UNIQ_527EDB2538FCB0EB');
        $this->addSql('DROP INDEX UNIQ_527EDB252534008B');
        $this->addSql('ALTER TABLE task DROP greenhouse_id');
        $this->addSql('ALTER TABLE task DROP structure_id');
    }
}
