<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200418111132 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE trolley (id UUID NOT NULL, worker_id UUID DEFAULT NULL, trolley SMALLINT DEFAULT NULL, registered_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, type VARCHAR(6) DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX trolley_worker_id ON trolley (worker_id)');
        $this->addSql('CREATE INDEX trolley_registered_at ON trolley (registered_at)');
        $this->addSql('CREATE INDEX trolley_trolley ON trolley (trolley)');
        $this->addSql('CREATE INDEX trolley_type ON trolley (type)');
        $this->addSql('CREATE TABLE sync (id UUID NOT NULL, task_id UUID DEFAULT NULL, trolley_id UUID DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, to_send BOOLEAN DEFAULT \'false\' NOT NULL, status VARCHAR(255) DEFAULT NULL, synced_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, raw_request JSONB DEFAULT NULL, raw_response JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_2C2BF57A8DB60186 ON sync (task_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_2C2BF57A2673F669 ON sync (trolley_id)');
        $this->addSql('CREATE INDEX sync_name ON sync (name)');
        $this->addSql('CREATE INDEX sync_task_id ON sync (task_id)');
        $this->addSql('CREATE INDEX sync_trolley_id ON sync (trolley_id)');
        $this->addSql('CREATE INDEX sync_synced_at ON sync (synced_at)');
        $this->addSql('CREATE INDEX sync_to_send ON sync (to_send)');
        $this->addSql('CREATE INDEX sync_status ON sync (status)');
        $this->addSql('COMMENT ON COLUMN sync.raw_request IS \'(DC2Type:json_array)\'');
        $this->addSql('COMMENT ON COLUMN sync.raw_response IS \'(DC2Type:json_array)\'');
        $this->addSql('ALTER TABLE trolley ADD CONSTRAINT FK_D9AD4B956B20BA36 FOREIGN KEY (worker_id) REFERENCES worker (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE sync ADD CONSTRAINT FK_2C2BF57A8DB60186 FOREIGN KEY (task_id) REFERENCES task (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE sync ADD CONSTRAINT FK_2C2BF57A2673F669 FOREIGN KEY (trolley_id) REFERENCES trolley (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SCHEMA public');
        $this->addSql('ALTER TABLE sync DROP CONSTRAINT FK_2C2BF57A2673F669');
        $this->addSql('DROP TABLE trolley');
        $this->addSql('DROP TABLE sync');
    }
}
