<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200726144147 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE OR REPLACE FUNCTION workerSearchable()
            RETURNS trigger AS
            $BODY$
            BEGIN
                IF NEW.name IS DISTINCT FROM OLD.name OR NEW.code IS DISTINCT FROM OLD.code OR NEW.notes IS DISTINCT FROM OLD.notes THEN
                    UPDATE worker SET searchable = CONCAT(NEW.name, \' \', NEW.code, \' \', NEW.notes) WHERE id = NEW.id;
                END IF;

                RETURN NEW;
            END;
            $BODY$

            LANGUAGE plpgsql');

        $this->addSql('DROP TRIGGER IF EXISTS calculateSearchableUpdate ON worker');
        $this->addSql('CREATE TRIGGER calculateSearchableUpdate
            AFTER UPDATE
            ON worker
            FOR EACH ROW
            EXECUTE PROCEDURE workerSearchable()');

        $this->addSql('DROP TRIGGER IF EXISTS calculateSearchableInsert ON worker');
        $this->addSql('CREATE TRIGGER calculateSearchableInsert
            AFTER INSERT
            ON worker
            FOR EACH ROW
            EXECUTE PROCEDURE workerSearchable()');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TRIGGER IF EXISTS calculateSearchableUpdate ON worker');
        $this->addSql('DROP TRIGGER IF EXISTS calculateSearchableInsert ON worker');
    }
}
