<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200821065235 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE worker ALTER version_name TYPE VARCHAR(200)');
        $this->addSql('DROP INDEX IF EXISTS toexchangeindextimed');
        $this->addSql('DROP INDEX IF EXISTS toExchangeIndex');
        $this->addSql('DROP INDEX IF EXISTS workerTasks');
        $this->addSql('DROP INDEX IF EXISTS workerTasksTimed');
        $this->addSql('DROP INDEX IF EXISTS workerTasksNotFinished');
        $this->addSql('DROP INDEX IF EXISTS workerTasksNotFinishedTimed');
        $this->addSql('DROP INDEX IF EXISTS greenhouseTasks');
        $this->addSql('DROP INDEX IF EXISTS greenhouseTasksTimed');
        $this->addSql('CREATE INDEX task_to_exchange_index_timed ON task (start_at, finish_at, to_exchange, is_active, parent_id, row_number) WHERE to_exchange=true and is_active=true');
        $this->addSql('CREATE INDEX task_to_exchange_index ON task (finish_at, to_exchange, is_active, parent_id, row_number) WHERE to_exchange=true and is_active=true');
        $this->addSql('CREATE INDEX task_worker_tasks ON task (worker_id, is_finished) WHERE is_active=true');
        $this->addSql('CREATE INDEX task_worker_tasks_timed ON task (start_at, finish_at, worker_id, is_finished) WHERE is_active=true');
        $this->addSql('CREATE INDEX task_worker_tasks_not_finished ON task (worker_id, is_finished) WHERE is_finished=false');
        $this->addSql('CREATE INDEX task_worker_tasks_not_finished_timed ON task (start_at, finish_at, worker_id, is_finished) WHERE is_finished=false');
        $this->addSql('CREATE INDEX task_greenhouse_tasks ON task (is_active, greenhouse_id, parent_id)');
        $this->addSql('CREATE INDEX task_greenhouse_tasks_timed ON task (start_at, is_active, greenhouse_id, parent_id)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX task_to_exchange_index_timed');
        $this->addSql('DROP INDEX task_to_exchange_index');
        $this->addSql('DROP INDEX task_worker_tasks');
        $this->addSql('DROP INDEX task_worker_tasks_timed');
        $this->addSql('DROP INDEX task_worker_tasks_not_finished');
        $this->addSql('DROP INDEX task_worker_tasks_not_finished_timed');
        $this->addSql('DROP INDEX task_greenhouse_tasks');
        $this->addSql('DROP INDEX task_greenhouse_tasks_timed');
        $this->addSql('ALTER TABLE worker ALTER version_name TYPE VARCHAR(255)');
    }
}
