<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200903152621 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('create or replace function ifModifiedFunc() returns trigger as $body$
DECLARE
    js_new jsonb := row_to_json(NEW)::jsonb;
    js_old jsonb := row_to_json(OLD)::jsonb;
begin
    if tg_op = \'UPDATE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, new_values, updated_cols, query)
        values (OLD.id, tg_table_name::text, CASE WHEN current_setting(\'audit.logged_username\', true)::text != \'\' THEN current_setting(\'audit.logged_username\')::text ELSE current_user::text END, \'u\', js_old, js_new,
        js_new - js_old, current_query());
        return new;
    elsif tg_op = \'DELETE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, query)
        values (OLD.id, tg_table_name::text, CASE WHEN current_setting(\'audit.logged_username\', true)::text != \'\' THEN current_setting(\'audit.logged_username\')::text ELSE current_user::text END, \'d\', js_old, current_query());
        return old;
    elsif tg_op = \'INSERT\' then
        insert into audit (table_id, table_name, user_name, action, new_values, query)
        values (NEW.id, tg_table_name::text, CASE WHEN current_setting(\'audit.logged_username\', true)::text != \'\' THEN current_setting(\'audit.logged_username\')::text ELSE current_user::text END, \'i\', js_new, current_query());
        return new;
    end if;
end;
$body$
language plpgsql');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('create or replace function ifModifiedFunc() returns trigger as $body$
DECLARE
    js_new jsonb := row_to_json(NEW)::jsonb;
    js_old jsonb := row_to_json(OLD)::jsonb;
begin
    if tg_op = \'UPDATE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, new_values, updated_cols, query)
        values (OLD.id, tg_table_name::text, current_user::text, \'u\', js_old, js_new,
        js_new - js_old, current_query());
        return new;
    elsif tg_op = \'DELETE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, query)
        values (OLD.id, tg_table_name::text, current_user::text, \'d\', js_old, current_query());
        return old;
    elsif tg_op = \'INSERT\' then
        insert into audit (table_id, table_name, user_name, action, new_values, query)
        values (NEW.id, tg_table_name::text, current_user::text, \'i\', js_new, current_query());
        return new;
    end if;
end;
$body$
language plpgsql');
    }
}
