<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20201026111911 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('create or replace function ifModifiedRatingFunc() returns trigger as $body$
DECLARE
    js_new jsonb := row_to_json(NEW)::jsonb;
    js_old jsonb := row_to_json(OLD)::jsonb;
begin
    if tg_op = \'UPDATE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, new_values, updated_cols, query)
        values (OLD.worker_id, tg_table_name::text, current_user::text, \'u\', js_old, js_new,
        js_new - js_old, current_query());
        return new;
    elsif tg_op = \'DELETE\' then
        insert into audit (table_id, table_name, user_name, action, old_values, query)
        values (OLD.worker_id, tg_table_name::text, current_user::text, \'d\', js_old, current_query());
        return old;
    elsif tg_op = \'INSERT\' then
        insert into audit (table_id, table_name, user_name, action, new_values, query)
        values (NEW.worker_id, tg_table_name::text, current_user::text, \'i\', js_new, current_query());
        return new;
    end if;
end;
$body$
language plpgsql');

        $this->addSql('create trigger workerTrigger after insert or update or delete on worker for each row execute procedure ifModifiedFunc()');
        $this->addSql('create trigger ratingTrigger after insert or update or delete on rating for each row execute procedure ifModifiedRatingFunc()');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TRIGGER IF EXISTS workerTrigger ON worker');
        $this->addSql('DROP TRIGGER IF EXISTS ratingTrigger ON rating');

    }
}
