<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20201120140128 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        // startedAt - finishedAt <= 5
        // startedAt - finishedAt >= 5000
        $this->addSql('CREATE OR REPLACE FUNCTION taskStatusCalculation()
            RETURNS trigger AS
            $BODY$
            BEGIN
                IF NEW.status IS NOT DISTINCT FROM OLD.status THEN
                    UPDATE task SET status=NULL WHERE id = NEW.id AND status IS NOT NULL;
                    IF NEW.started_at IS NOT NULL AND NEW.finished_at IS NOT NULL THEN
                        IF (DATE_PART(\'day\', NEW.finished_at::timestamp - NEW.started_at::timestamp) * 24 + 
                            DATE_PART(\'hour\', NEW.finished_at::timestamp - NEW.started_at::timestamp)) * 60 +
                            DATE_PART(\'minute\', NEW.finished_at::timestamp - NEW.started_at::timestamp) < 2 THEN
                            UPDATE task SET status=506 WHERE id = NEW.id;
                        END IF;                    
                        IF DATE_PART(\'day\', NEW.finished_at::timestamp - NEW.started_at::timestamp) * 24 + DATE_PART(\'hour\', NEW.finished_at::timestamp - NEW.started_at::timestamp) > 48 THEN
                            UPDATE task SET status=505 WHERE id = NEW.id;
                        END IF;
                        IF NEW.started_at > NEW.finished_at THEN
                            UPDATE task SET status=501 WHERE id = NEW.id;
                        END IF;
                    END IF;
                    IF NEW.started_at IS NOT NULL THEN
                        IF NEW.started_at < NEW.start_at THEN
                            UPDATE task SET status=502 WHERE id = NEW.id;
                        END IF;
                    END IF;
                    IF NEW.finished_at IS NOT NULL THEN
                        IF NEW.finished_at > NEW.finish_at THEN
                            UPDATE task SET status=503 WHERE id = NEW.id;
                        END IF;
                    END IF;
                    IF NEW.is_finished = true THEN
                        IF NEW.finished_at IS NULL OR NEW.started_at IS NULL THEN
                            UPDATE task SET status=504 WHERE id = NEW.id;
                        END IF;
                    END IF;
                END IF;

                RETURN NEW;
            END;
            $BODY$

            LANGUAGE plpgsql');

        $this->addSql('DROP TRIGGER IF EXISTS taskStatusCalculationUpdate ON task');
        $this->addSql('CREATE TRIGGER taskStatusCalculationUpdate
            AFTER UPDATE
            ON task
            FOR EACH ROW
            EXECUTE PROCEDURE taskStatusCalculation()');

        $this->addSql('DROP TRIGGER IF EXISTS taskStatusCalculationInsert ON task');
        $this->addSql('CREATE TRIGGER taskStatusCalculationInsert
            AFTER INSERT
            ON task
            FOR EACH ROW
            EXECUTE PROCEDURE taskStatusCalculation()');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TRIGGER IF EXISTS taskStatusCalculationUpdate ON task');
        $this->addSql('DROP TRIGGER IF EXISTS taskStatusCalculationInsert ON task');   
    }
}
