<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210115095652 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE empas ADD worker_id UUID DEFAULT NULL');
        $this->addSql('ALTER TABLE empas ADD chemical_id UUID DEFAULT NULL');
        $this->addSql('ALTER TABLE empas DROP chemical_name');
        $this->addSql('ALTER TABLE empas ADD CONSTRAINT FK_BFA732CE6B20BA36 FOREIGN KEY (worker_id) REFERENCES worker (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE empas ADD CONSTRAINT FK_BFA732CEE1770A76 FOREIGN KEY (chemical_id) REFERENCES chemical (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE INDEX empas_worker_id ON empas (worker_id)');
        $this->addSql('CREATE INDEX empas_chemical_id ON empas (chemical_id)');
        $this->addSql('CREATE INDEX empas_registered_at ON empas (registered_at)');
        $this->addSql('CREATE INDEX empas_empas_number ON empas (empas_number)');
        $this->addSql('ALTER INDEX idx_bfa732ce783e3463 RENAME TO empas_manager_id');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE empas DROP CONSTRAINT FK_BFA732CE6B20BA36');
        $this->addSql('ALTER TABLE empas DROP CONSTRAINT FK_BFA732CEE1770A76');
        $this->addSql('DROP INDEX empas_worker_id');
        $this->addSql('DROP INDEX empas_chemical_id');
        $this->addSql('DROP INDEX empas_registered_at');
        $this->addSql('DROP INDEX empas_empas_number');
        $this->addSql('ALTER TABLE empas ADD chemical_name VARCHAR(255) NOT NULL');
        $this->addSql('ALTER TABLE empas DROP worker_id');
        $this->addSql('ALTER TABLE empas DROP chemical_id');
        $this->addSql('ALTER INDEX empas_manager_id RENAME TO idx_bfa732ce783e3463');
    }
}
