<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210115124253 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE intensity (id UUID NOT NULL, name VARCHAR(255) NOT NULL, color VARCHAR(255) NOT NULL, order_by SMALLINT DEFAULT 0 NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE pest (id UUID NOT NULL, name VARCHAR(255) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE pest_infestation (id UUID NOT NULL, task_id UUID DEFAULT NULL, worker_id UUID DEFAULT NULL, pest_id UUID DEFAULT NULL, intensity_id UUID DEFAULT NULL, shelf_number SMALLINT DEFAULT 0 NOT NULL, value TEXT DEFAULT NULL, raw JSONB DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');

        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Белокрылка', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Томатный ржавый клещ', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Минирующая муха (повреждение)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Минирующая моль', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Совка/гусеница', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Трипс', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Паутинный клещ', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Мучнистая роса', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Тля (источник вирусов)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Трипс (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Белокрылка (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Совка/гусеница (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Паутинный клещ (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Травяной клоп (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Минирующая муха (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Мучнистая роса (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Питиум (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Гниль (огурцы)', now(), now())");
        $this->addSql("INSERT INTO pest VALUES (uuid_generate_v4(), 'Тля (огурцы)', now(), now())");

        $this->addSql("INSERT INTO intensity VALUES (uuid_generate_v4(), 'Низкая', '#ffff00', 1, now(), now())");
        $this->addSql("INSERT INTO intensity VALUES (uuid_generate_v4(), 'Средняя', '#00b050', 2, now(), now())");
        $this->addSql("INSERT INTO intensity VALUES (uuid_generate_v4(), 'Сильная', '#f00', 3, now(), now())");
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TABLE intensity');
        $this->addSql('DROP TABLE pest');
        $this->addSql('DROP TABLE pest_infestation');
    }
}
