<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210125131957 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX row_range_plan_date');
        $this->addSql('ALTER TABLE row_range ADD dow SMALLINT');
        $this->addSql('UPDATE row_range SET dow = extract(isodow from plan_date) - 1') ;
        $this->addSql('ALTER TABLE row_range DROP plan_date');
        $this->addSql('CREATE TABLE row_range_temp (LIKE row_range)');
        $this->addSql('INSERT INTO row_range_temp (id, section_id, greenhouse_id, dow, range, created_at, updated_at) SELECT DISTINCT ON (greenhouse_id, section_id, dow) id, section_id, greenhouse_id, dow, range, created_at, updated_at FROM row_range') ;
        $this->addSql('DROP TABLE row_range');
        $this->addSql('ALTER TABLE row_range_temp RENAME TO row_range');
        $this->addSql('ALTER TABLE row_range ALTER COLUMN dow SET NOT NULL');
        $this->addSql('CREATE INDEX row_range_dow ON row_range (dow)');
        $this->addSql('CREATE UNIQUE INDEX row_range_sectionId_greenhouseId_dow ON row_range (section_id, greenhouse_id, dow)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX row_range_dow');
        $this->addSql('DROP INDEX row_range_sectionId_greenhouseId_dow');
        $this->addSql('ALTER TABLE row_range ADD plan_date TIMESTAMP(0) WITH TIME ZONE NOT NULL');
        $this->addSql('ALTER TABLE row_range DROP dow');
        $this->addSql('CREATE INDEX row_range_plan_date ON row_range (plan_date)');
    }
}
