<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210304190623 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX row_range_sectionid_greenhouseid_dow');
        $this->addSql('ALTER TABLE row_range DROP is_active');
        $this->addSql('ALTER TABLE row_range DROP name');
        $this->addSql('ALTER TABLE row_range RENAME COLUMN greenhouse_id TO mini_plan_id');
        $this->addSql('ALTER TABLE row_range ADD CONSTRAINT FK_B025B439D823E37A FOREIGN KEY (section_id) REFERENCES section (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE row_range ADD CONSTRAINT FK_B025B43920AC3C87 FOREIGN KEY (mini_plan_id) REFERENCES mini_plan (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE row_range ADD PRIMARY KEY (id)');
        $this->addSql('CREATE INDEX row_range_section ON row_range (section_id)');
        $this->addSql('CREATE INDEX row_range_mini_plan ON row_range (mini_plan_id)');
        $this->addSql('CREATE UNIQUE INDEX row_range_sectionId_mini_planId_dow ON row_range (section_id, mini_plan_id, dow)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE row_range DROP CONSTRAINT FK_B025B439D823E37A');
        $this->addSql('ALTER TABLE row_range DROP CONSTRAINT FK_B025B43920AC3C87');
        $this->addSql('DROP INDEX row_range_section');
        $this->addSql('DROP INDEX row_range_mini_plan');
        $this->addSql('DROP INDEX row_range_sectionId_mini_planId_dow');
        $this->addSql('ALTER TABLE row_range ADD is_active BOOLEAN DEFAULT \'false\' NOT NULL');
        $this->addSql('ALTER TABLE row_range ADD name VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE row_range RENAME COLUMN mini_plan_id TO greenhouse_id');
        $this->addSql('CREATE UNIQUE INDEX row_range_sectionid_greenhouseid_dow ON row_range (section_id, greenhouse_id, dow)');

    }
}
