<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210614153243 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE technical_window (id UUID NOT NULL, greenhouse_id UUID NOT NULL, start TIME(0) WITHOUT TIME ZONE NOT NULL, finish TIME(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_C1D4A58938FCB0EB ON technical_window (greenhouse_id)');
        $this->addSql('CREATE TABLE technical_window_sections (id UUID NOT NULL, section_id UUID NOT NULL, technical_window_id UUID NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX technical_window_section_section_id ON technical_window_sections (section_id)');
        $this->addSql('CREATE INDEX technical_window_section_technical_window_id ON technical_window_sections (technical_window_id)');
        $this->addSql('CREATE UNIQUE INDEX technical_window_section_section_id_technical_window_id ON technical_window_sections (section_id, technical_window_id)');
        $this->addSql('ALTER TABLE technical_window ADD CONSTRAINT FK_C1D4A58938FCB0EB FOREIGN KEY (greenhouse_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE technical_window_sections ADD CONSTRAINT FK_A835B343D823E37A FOREIGN KEY (section_id) REFERENCES section (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE technical_window_sections ADD CONSTRAINT FK_A835B343DA6BBB9F FOREIGN KEY (technical_window_id) REFERENCES technical_window (id) NOT DEFERRABLE INITIALLY IMMEDIATE');

    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE technical_window_sections DROP CONSTRAINT FK_A835B343DA6BBB9F');
        $this->addSql('DROP TABLE technical_window');
        $this->addSql('DROP TABLE technical_window_sections');
    }
}
