<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210620102528 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    private $greenhouseIds = [
        "253ad8c3-361f-11ea-b822-00505696ff79",
        "b1287dcd-7dfa-11e8-a2d3-005056a3e110",
        "1abec4c4-0d22-11e6-942a-005056ac0e86",
        "10a6ab25-0d22-11e6-942a-005056ac0e86",
        "230e8905-ff37-11e6-80fe-40a8f0260032",
        "2b8e7299-ff37-11e6-80fe-40a8f0260032",
        "ab4581b0-9f8b-11e8-a2d6-005056a3e110",
        "7698def5-d66c-11e7-8110-40a8f0260033",
        "880954d5-d66c-11e7-8110-40a8f0260033",
        "9890c293-da19-11e9-a2f2-005056a3e110",
        "a5ae0818-da19-11e9-a2f2-005056a3e110"
    ];

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');


        $this->addSql('CREATE TABLE valve (id UUID NOT NULL, greenhouse_id UUID DEFAULT NULL, volume DOUBLE PRECISION DEFAULT NULL, potential_hydrogen DOUBLE PRECISION DEFAULT NULL, electric_conduction DOUBLE PRECISION DEFAULT NULL, work_description VARCHAR(50) NOT NULL, number SMALLINT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX valve_greenhouse ON valve (greenhouse_id)');
        $this->addSql('CREATE INDEX valve_number ON valve (number)');
        $this->addSql('CREATE INDEX valve_work_description ON valve (work_description)');
        $this->addSql('CREATE UNIQUE INDEX greenhouseId_number_workDescription ON valve (greenhouse_id, number, work_description)');
        $this->addSql('ALTER TABLE valve ADD CONSTRAINT FK_365A0BF738FCB0EB FOREIGN KEY (greenhouse_id) REFERENCES greenhouse (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        
        foreach ($this->greenhouseIds as $greenhouseId) {
            for($i=1;$i<=12;$i++)
            {
                $this->addSql('INSERT INTO public."valve" (id, greenhouse_id, work_description, number)'
                . " VALUES (uuid_generate_v4(),'$greenhouseId', 'капельница', '$i')");
                $this->addSql('INSERT INTO public."valve" (id, greenhouse_id, work_description, number)'
                . " VALUES (uuid_generate_v4(),'$greenhouseId', 'вытяжка', '$i')");
                $this->addSql('INSERT INTO public."valve" (id, greenhouse_id, work_description, number)'
                . " VALUES (uuid_generate_v4(),'$greenhouseId', 'дренаж', '$i')");
            }
            
        };
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
        $this->addSql('DROP TABLE valve');
    }
}
