<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210622081922 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE code_metric (id UUID NOT NULL, code UUID NOT NULL, collectable_id UUID NOT NULL, plant_id UUID NOT NULL, greenhouse_id UUID NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX code_metric_code ON code_metric (code)');
        $this->addSql('CREATE INDEX code_metric_collectable_id ON code_metric (collectable_id)');
        $this->addSql('CREATE INDEX code_metric_greenhouse_id ON code_metric (greenhouse_id)');
        $this->addSql('CREATE INDEX code_metric_plant_id ON code_metric (plant_id)');
        $this->addSql('CREATE INDEX code_metric_created_at ON code_metric (created_at)');
        $this->addSql('CREATE INDEX code_metric_updated_at ON code_metric (updated_at)');
        $this->addSql('CREATE UNIQUE INDEX code_metric_code_code_collectableId ON code_metric (code, collectable_id)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP TABLE code_metric');
    }
}
