<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210814104042 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX audit_action_timestamp');
        $this->addSql('ALTER INDEX idx_c0e8126f3b56743 RENAME TO IDX_5D14B22A3B56743');
        $this->addSql('CREATE INDEX IDX_DD5A5B7D83A269F2 ON plan (row_id)');
        $this->addSql('CREATE INDEX IDX_DD5A5B7DD823E37A ON plan (section_id)');
        $this->addSql('CREATE INDEX IDX_DD5A5B7DF163D7D3 ON plan (plan_template_id)');
        $this->addSql('DROP INDEX mobile_login_updated_at');
        $this->addSql('DROP INDEX mobile_login_created_at');
        $this->addSql('ALTER INDEX idx_fb2ab733f6d1a74b RENAME TO check_controller_id');
        $this->addSql('CREATE INDEX greenhouse_name ON greenhouse (name)');
        $this->addSql('CREATE INDEX greenhouse_raw_parent_id ON greenhouse (raw_parent_id)');
        $this->addSql('CREATE INDEX greenhouse_is_folder ON greenhouse (is_folder)');
        $this->addSql('CREATE INDEX greenhouse_description ON greenhouse (description)');
        $this->addSql('CREATE INDEX greenhouse_department_id ON greenhouse (department_id)');
        $this->addSql('CREATE INDEX greenhouse_raw_department_id ON greenhouse (raw_department_id)');
        $this->addSql('CREATE INDEX greenhouse_comment ON greenhouse (comment)');
        $this->addSql('CREATE INDEX greenhouse_sown_area ON greenhouse (sown_area)');
        $this->addSql('CREATE INDEX greenhouse_raw_greenhouse_topology ON greenhouse (raw_greenhouse_topology)');
        $this->addSql('CREATE INDEX greenhouse_green_house_topology ON greenhouse (green_house_topology)');
        $this->addSql('CREATE INDEX greenhouse_raw_work_parameters ON greenhouse (raw_work_parameters)');
        $this->addSql('CREATE INDEX greenhouse_raw ON greenhouse (raw)');
        $this->addSql('ALTER INDEX idx_dc68f11b727aca70 RENAME TO greenhouse_parent_id');
        $this->addSql('DROP INDEX task_worker_tasks');
        $this->addSql('DROP INDEX task_worker_tasks_not_finished');
        $this->addSql('DROP INDEX task_worker_tasks_timed');
        $this->addSql('DROP INDEX task_worker_tasks_not_finished_timed');
        $this->addSql('DROP INDEX task_to_exchange_index');
        $this->addSql('DROP INDEX task_to_exchange_index_timed');
        $this->addSql('CREATE INDEX task_status ON task (status)');
        $this->addSql('CREATE INDEX task_section_query ON task (start_at, section_id, pass, greenhouse_id, row_number)');
        $this->addSql('CREATE INDEX task_in_progress ON task (id, is_finished, started_at, finished_at, row_number, greenhouse_id, finish_at, start_at, is_active)');
        $this->addSql('CREATE INDEX task_worker_tasks ON task (worker_id, is_finished) WHERE is_active=true');
        $this->addSql('CREATE INDEX task_worker_tasks_not_finished ON task (worker_id, is_finished) WHERE is_finished=false');
        $this->addSql('CREATE INDEX task_worker_tasks_timed ON task (start_at, finish_at, worker_id, is_finished) WHERE is_active=true');
        $this->addSql('CREATE INDEX task_worker_tasks_not_finished_timed ON task (start_at, finish_at, worker_id, is_finished) WHERE is_finished=false');
        $this->addSql('CREATE INDEX task_to_exchange_index ON task (finish_at, to_exchange, is_active, parent_id, row_number) WHERE to_exchange=true and is_active=true');
        $this->addSql('CREATE INDEX task_to_exchange_index_timed ON task (start_at, finish_at, to_exchange, is_active, parent_id, row_number) WHERE to_exchange=true and is_active=true');
        $this->addSql('CREATE INDEX pest_infestation_shelf_number ON pest_infestation (shelf_number)');
        $this->addSql('CREATE INDEX intensity_name ON intensity (name)');
        $this->addSql('CREATE INDEX intensity_color ON intensity (color)');
        $this->addSql('CREATE INDEX intensity_order_by ON intensity (order_by)');
        $this->addSql('CREATE INDEX row_greenhouse_row ON "row" (greenhouse_id, row_number)');
        $this->addSql('CREATE INDEX check_metric_name ON check_metric (name)');
        $this->addSql('CREATE INDEX check_metric_image ON check_metric (image)');
        $this->addSql('CREATE INDEX check_metric_section_id ON check_metric (section_id)');
        $this->addSql('CREATE INDEX check_metric_category ON check_metric (category)');
        $this->addSql('ALTER TABLE section DROP is_monitoring');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
    }
}
