<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210922065748 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE TABLE valve_limit (id UUID NOT NULL, work_description VARCHAR(255) NOT NULL, measurement_description VARCHAR(255) NOT NULL, min_limit DOUBLE PRECISION NOT NULL, max_limit DOUBLE PRECISION NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX workDescription_measurementDescription ON valve_limit (work_description, measurement_description)');
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'капельница', 'volume', 1200, 5500)");
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'капельница', 'potentialHydrogen', 0, 100)");
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'капельница', 'electricConduction', 0, 100)");

        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'вытяжка', 'potentialHydrogen', 0, 100)");
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'вытяжка', 'electricConduction', 0, 100)");

        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'дренаж', 'volume', 1200, 5500)");
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'дренаж', 'potentialHydrogen', 0, 100)");
        $this->addSql("INSERT INTO valve_limit (id, work_description, measurement_description, min_limit, max_limit) VALUES (uuid_generate_v4(), 'дренаж', 'electricConduction', 0, 100)");

    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

         $this->addSql('DROP TABLE valve_limit');
        
    }
}
