<?php

namespace App\Repository;

use App\Entity\Collectable;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method Collectable|null find($id, $lockMode = null, $lockVersion = null)
 * @method Collectable|null findOneBy(array $criteria, array $orderBy = null)
 * @method Collectable[]    findAll()
 * @method Collectable[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CollectableRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Collectable::class);
    }

    // /**
    //  * @return Collectable[] Returns an array of Collectable objects
    //  */
    public function findAllActive()
    {
        return $this->createQueryBuilder('c')
            ->andWhere('c.isActive = :isActive')
            ->setParameter('isActive', true)
            ->orderBy('c.name', 'ASC')
            ->setMaxResults(100)
            ->getQuery()
            ->getResult()
        ;
    }

    /*
    public function findOneBySomeField($value): ?Collectable
    {
        return $this->createQueryBuilder('c')
            ->andWhere('c.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
