<?php

namespace App\Repository;

use App\Entity\GreenhouseSection;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method GreenhouseSection|null find($id, $lockMode = null, $lockVersion = null)
 * @method GreenhouseSection|null findOneBy(array $criteria, array $orderBy = null)
 * @method GreenhouseSection[]    findAll()
 * @method GreenhouseSection[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class GreenhouseSectionRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, GreenhouseSection::class);
    }

    // /**
    //  * @return GreenhouseSection[] Returns an array of GreenhouseSection objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('g')
            ->andWhere('g.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('g.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    public function findMySection($greenhouseId, $sectionId): ?GreenhouseSection
    {
        return $this->createQueryBuilder('g')
            ->andWhere('g.greenhouseId = :greenhouseId')
            ->andWhere('g.sectionId = :sectionId')
            ->setParameter('greenhouseId', $greenhouseId)
            ->setParameter('sectionId', $sectionId)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
}
