<?php

namespace App\Repository;

use App\Entity\MobileLogin;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method MobileLogin|null find($id, $lockMode = null, $lockVersion = null)
 * @method MobileLogin|null findOneBy(array $criteria, array $orderBy = null)
 * @method MobileLogin[]    findAll()
 * @method MobileLogin[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MobileLoginRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, MobileLogin::class);
    }

    public function findByWorkerIdDate($workerId, $dateFrom, $dateTo)
    {
        return $this->createQueryBuilder('l')
            ->where('l.workerId = :workerId')
            ->andWhere('l.startedAt IS NOT NULL')
            ->andWhere('l.startedAt >= :dateFrom')
            ->andWhere('l.startedAt <= :dateTo')
            ->orderBy('l.startedAt', 'ASC')
            ->setParameter('dateFrom', $dateFrom)
            ->setParameter('dateTo', $dateTo)
            ->setParameter('workerId', $workerId)
            ->getQuery()
            ->getResult()
        ;
    }
}
