<?php

namespace App\Repository;

use App\Entity\PlantPhenology;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method PlantPhenology|null find($id, $lockMode = null, $lockVersion = null)
 * @method PlantPhenology|null findOneBy(array $criteria, array $orderBy = null)
 * @method PlantPhenology[]    findAll()
 * @method PlantPhenology[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class PlantPhenologyRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, PlantPhenology::class);
    }

    // /**
    //  * @return PlantPhenology[] Returns an array of PlantPhenology objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('p.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?PlantPhenology
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */

    public function getTaskPlants($rowId): array
    {
        if (empty($rowId)) return [];
        
        return $this->createQueryBuilder('p')
            ->select('p.name, p.id as plantId')
            ->where('p.rowId = :rowId')
            ->setParameter('rowId', $rowId)
            ->getQuery()
            ->getResult()
        ; 
    }
}
