<?php

namespace App\Repository;

use App\Entity\Row;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method Row|null find($id, $lockMode = null, $lockVersion = null)
 * @method Row|null findOneBy(array $criteria, array $orderBy = null)
 * @method Row[]    findAll()
 * @method Row[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class RowRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Row::class);
    }

    // /**
    //  * @return Row[] Returns an array of Row objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('r')
            ->andWhere('r.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('r.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    public function findRowByRowNumber($greenhouseId, $rowNumber): ?Row
    {
        $row = $this->createQueryBuilder('r')
            ->andWhere('r.greenhouseId = :greenhouseId')
            ->andWhere('r.rowNumber = :rowNumber')
            ->setParameter('greenhouseId', $greenhouseId)
            ->setParameter('rowNumber', $rowNumber)
            ->getQuery()
            ->getOneOrNullResult()
        ;

        return $row ? $row : null;
    }
}
