#!/bin/bash
set -e

until psql -v ON_ERROR_STOP=1 --username "postgres" -lqt | cut -d \| -f 1 | grep -w api; do
  echo >&2 "$(date +%Y%m%dt%H%M%S) Postgres is unavailable - sleeping"
  sleep 1
done
echo >&2 "$(date +%Y%m%dt%H%M%S) Postgres is up - executing command"

psql -v ON_ERROR_STOP=1 --username "postgres" --dbname="api"<<-EOSQL
  ALTER ROLE "api-platform" SUPERUSER;
EOSQL