import React from "react";
import { Input } from "antd";

import _ from "lodash";

const InputNumber = ({
  name,
  value = "",
  min,
  max,
  style = {},
  className = "",
  disabled = false,
  onChange,
}) => {
  const handleChange = (e) => {
    if (
      (!_.isNil(max) ? e.target.value > max : false) ||
      (!_.isNil(min) ? e.target.value < min : false)
    )
      return;

    e.target.value = e.target.value ? +e.target.value : 0;

    const customEvent = {
      target: {
        name,
        value: +e.target.value,
      },
    };

    if (onChange) {
      onChange(customEvent);
    }
  };

  return (
    <Input
      type="number"
      name={name}
      style={{ ...style }}
      className={className}
      disabled={disabled}
      value={value}
      onChange={handleChange}
      onKeyPress={(e) => {
        if (_.includes(["+", "-", ","], e.key)) e.preventDefault();
      }}
    />
  );
};

export default InputNumber;
