// Роли пользователей
const SUPERUSER = "superuser";
const ADMIN = "admin";
const TECH_SUPPORT = "tech-support";
const MASTER = "master";
const AGRONOMIST = "agronomist";
const PHENOLOGIST = "phenologist";
const PHENOLOGY_MASTER = "phenology-master";
const GUARDIAN = "guardian";
const GUARDING_MASTER = "guarding-master";
const GUARDING_MONITOR = "guarding-monitor";
const GUARDING_WORKER = "guarding-worker";
const MAIN_GUARDIAN = "main-guardian";
const READER = "reader";

// Типы работ
const SECTION_MAIN = "regular"; // вкладка Общий блок МУП
const SECTION_PHENOLOGY = "phenology"; //вкладка Фенология
const SECTION_HARVESTING = "harvesting"; //вкладка Общий блок МУП
const SECTION_GUARDING = "guarding"; //вкладка Защита
const SECTION_SPRAYING = "spraying"; //вкладка Защита
const SECTION_MONITORING = "monitoring"; //вкладка Защита
const SECTION_QUALITY = "quality"; //вкладка Контроль кач-ва

const TAB_REGULAR = 'regular';
const TAB_PHENOLOGY = 'phenology';
const TAB_GUARDING = 'guarding';
const TAB_QUALITY = 'quality';

export default [
  SUPERUSER,
  ADMIN,
  TECH_SUPPORT,
  MASTER,
  AGRONOMIST,
  PHENOLOGIST,
  PHENOLOGY_MASTER,
  GUARDIAN,
  GUARDING_MASTER,
  GUARDING_MONITOR,
  GUARDING_WORKER,
  MAIN_GUARDIAN,
  READER,
];

// export const getAllowedRoutes = (role) => {
//   switch (role) {
//     case AGRONOMIST:
//       return [
//         "",
//         "tasks",
//         "workers",
//         "trolleys",
//         "plans",
//         "section",
//         "empas",
//         "plant-protection",
//       ];
//     case PHENOLOGIST:
//       return [
//         "",
//         "phenology",
//         "plant-phenology",
//         "section",
//         "metrics",
//         "workers",
//         "tasks",
//         "plans",
//       ];
//     case TECH_SUPPORT:
//       return [
//         "",
//         "dashboard",
//         "greenhouses",
//         "phenology",
//         "plant-phenology",
//         "plant-protection",
//         "metrics",
//         "task-metrics",
//         "tasks",
//         "workers",
//         "plans",
//         "trolleys",
//         "empas",
//         "chemical",
//         "section",
//         "users",
//         "ordering",
//         "chat",
//         "empas",
//         "chemical",
//       ];
//     case ADMIN:
//       return [
//         "",
//         "dashboard",
//         "tasks",
//         "workers",
//         "plans",
//         "trolleys",
//         "empas",
//         "chemical",
//         "section",
//         "culture",
//         "phenology",
//         "chat",
//         "plant-phenology",
//         "metrics",
//         "task-metrics",
//       ];
//     case MASTER:
//       return ["", "tasks", "section", "trolleys"];
//     case GUARDIAN:
//       return ["", "plant-protection", "empas", "chemical"];
//     case GUARDING_MASTER:
//       return ["", "plant-protection", "empas", "chemical"];
//     case PHENOLOGY_MASTER:
//       return ["", "tasks", "metrics"];
//     case MAIN_GUARDIAN:
//       return [
//         "",
//         "workers",
//         "tasks",
//         "plans",
//         "empas",
//         "chemical",
//         "plant-protection",
//       ];
//     case GUARDING_MONITOR:
//       return [""];
//     case GUARDING_WORKER:
//       return [""];
//     default:
//       return [];
//   }
// };

// 1 - Болезни и вредители томатов и огурцов
// 2 - Интенсивность поражения
// 3 - Информация по мониторингу
// export const getAllowedPlantGuardings = (role) => {
//   switch (role) {
//     case "superuser":
//       return [];
//     case "agronomist":
//       return [3];
//     case "tech-support":
//       return [1, 2, 3];
//     case "main-guardian":
//       return [1, 2, 3, 4, 5];
//     case "guardian":
//       return [3];
//     default:
//       return null;
//   }
// };

// export const getAllowedSectionsModuleForChangeRating = (role) => {
//   switch (role) {
//     case "superuser":
//     case "tech-support":
//       return [];
//     case "agronomist":
//       return ["regular", "quality"];
//     case "phenology-master":
//     case "phenologist":
//       return ["phenology"];
//     case "main-guardian":
//       return ["guarding"];
//     default:
//       return null;
//   }
// };

export const segregation = {
  dashboard: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: true,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: true,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: true,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: true,
    },
    [GUARDING_MONITOR]: {
      read: true,
      edit: true,
    },
    [GUARDING_WORKER]: {
      read: true,
      edit: true,
    },
    [READER]: {
      read: true,
      edit: true,
    },
  },
  "dashboard.reports": {
    [SUPERUSER]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: [SECTION_MAIN, SECTION_PHENOLOGY, SECTION_HARVESTING, SECTION_GUARDING, SECTION_SPRAYING, SECTION_MONITORING, SECTION_QUALITY],
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: [SECTION_MAIN, SECTION_PHENOLOGY, SECTION_HARVESTING, SECTION_GUARDING, SECTION_SPRAYING, SECTION_MONITORING, SECTION_QUALITY],
    },
    [ADMIN]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
      sectionsRead: [SECTION_PHENOLOGY],
      sectionsEdit: null,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
      sectionsRead: [SECTION_PHENOLOGY],
      sectionsEdit: null,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: [SECTION_MAIN, SECTION_HARVESTING, SECTION_PHENOLOGY, SECTION_QUALITY],
    },
    [MASTER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionsRead: [SECTION_GUARDING, SECTION_SPRAYING],
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING],
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
      sectionsRead: [SECTION_GUARDING, SECTION_SPRAYING],
      sectionsEdit: null,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
      sectionsRead: [SECTION_GUARDING, SECTION_SPRAYING],
      sectionsEdit: null,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [READER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
  },
  "dashboard.reports-week": {
    [SUPERUSER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [ADMIN]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [READER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
  },
  "dashboard.plan": {
    [SUPERUSER]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: null,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: null,
    },
    [ADMIN]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
      sectionsRead: [SECTION_PHENOLOGY],
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
      sectionsRead: [
        SECTION_MAIN,
        SECTION_PHENOLOGY,
        SECTION_HARVESTING,
        SECTION_GUARDING,
        SECTION_SPRAYING,
        SECTION_MONITORING,
        SECTION_QUALITY
      ],
      sectionsEdit: [
        SECTION_MAIN,
        SECTION_HARVESTING,
        SECTION_PHENOLOGY,
        SECTION_QUALITY
      ],
      tabsRead: null,
      tabsEdit: [
        TAB_REGULAR,
        TAB_PHENOLOGY,
        TAB_QUALITY,
      ],
    },
    [MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionsRead: [
        SECTION_MAIN,
        SECTION_PHENOLOGY,
        SECTION_HARVESTING,
        SECTION_GUARDING,
        SECTION_SPRAYING,
        SECTION_MONITORING,
        SECTION_QUALITY
      ],
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING, SECTION_MONITORING],
      actions: ["change-rows", "change-plans"],
      tabsRead: null,
      tabsEdit: [TAB_GUARDING],
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
    [READER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
      tabsRead: null,
      tabsEdit: false,
    },
  },
  "dashboard.area-of-work": {
    [SUPERUSER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [ADMIN]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [MASTER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
    [READER]: {
      read: true,
      edit: false,
      sectionsRead: null,
      sectionsEdit: null,
    },
  },
  "dashboard.work-time": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  greenhouses: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  culture: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  structure: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  departments: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  positions: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  workers: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.worker-logs": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.ratings": {
    [SUPERUSER]: {
      read: true,
      edit: true,
      sectionEditAlways: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
      sectionEditAlways: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
      sectionEditAlways: false,
      sectionsEdit: [SECTION_MAIN, SECTION_HARVESTING, SECTION_QUALITY, SECTION_PHENOLOGY],
    },
    [MASTER]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionEditAlways: false,
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING, SECTION_QUALITY, SECTION_MONITORING],
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
      sectionEditAlways: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
      sectionEditAlways: false,
    },
    [READER]: {
      read: true,
      edit: false,
      sectionEditAlways: false,
    },
  },
  "workers.checkPriority": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.cache": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: false,
      edit: false,
    },
  },
  "workers.login-operations": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.nfc-mode": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.trolley-unlink": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: false,
      edit: false,
    },
  },
  "workers.greenhouse-migration": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: false,
      edit: false,
    },
  },
  "workers.notes": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.day-history": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "workers.add-worker": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: false,
      edit: false,
    },
  },
  users: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  ratings: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  sections: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  flows: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  tasks: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: true,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: true,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "tasks.light-edit": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING],
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "tasks.hard-edit": {
    // Завершение выполнения задачи и отмена выполненных задач
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "tasks.task-logs": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "row-state": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  plans: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
      sectionsEdit: [SECTION_MAIN, SECTION_HARVESTING, SECTION_PHENOLOGY],
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING],
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  ordering: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  empas: {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  chemical: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  trolleys: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  section: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: false,
    },
    [GUARDING_MASTER]: {
      read: false,
    },
    [GUARDING_MONITOR]: {
      read: true,
    },
    [GUARDING_WORKER]: {
      read: true,
    },
    [READER]: {
      read: true,
    },
  },
  "section.light-edit": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
      sectionsEdit: [SECTION_PHENOLOGY],
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
      sectionsEdit: [
        SECTION_MAIN,
        SECTION_HARVESTING,
        SECTION_PHENOLOGY,
        SECTION_QUALITY,
      ],
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
      sectionsEdit: [SECTION_GUARDING, SECTION_SPRAYING],
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "section.hard-edit": {
    // Завершение выполнения задачи и отмена выполненных задач
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: true,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: true,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  phenology: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: true,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  'phenology.phenology': {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: true,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: true,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: true,
      edit: true,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDING_MASTER]: {
      read: true,
      edit: true,
    },
    [GUARDING_MONITOR]: {
      read: true,
      edit: true,
    },
    [GUARDING_WORKER]: {
      read: true,
      edit: true,
    },
    [READER]: {
      read: true,
      edit: true,
    },
  },
  'phenology.reference-books': {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: false,
      edit: false,
    },
  },
  'phenology.historicalValves': {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  chat: {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-phenology": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-protection": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: true,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: true,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: true,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: true,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: true,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: true,
    },
    [READER]: {
      read: true,
      edit: true,
    },
  },
  "plant-protection.diseases-and-pests": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-protection.intensity": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-protection.intensity-by-diseases": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-protection.monitoring": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "plant-protection.charts": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  metrics: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: true,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: true,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "task-metrics": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: true,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "quality-control": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: true,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: true,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: true,
    },
    [AGRONOMIST]: {
      read: true,
      edit: true,
    },
    [MASTER]: {
      read: false,
      edit: true,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDIAN]: {
      read: true,
      edit: true,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: true,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: true,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: true,
    },
    [READER]: {
      read: true,
      edit: true,
    },
  },
  "quality-control.check-metrics": {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  "quality-control.check-lists": {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  audit: {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  ["audit/:id"]: {
    [SUPERUSER]: {
      read: true,
      edit: false,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  reports: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: false,
      edit: false,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  properties: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: false,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  settings: {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: true,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
  'phenology.valve-limit': {
    [SUPERUSER]: {
      read: true,
      edit: true,
    },
    [TECH_SUPPORT]: {
      read: true,
      edit: true,
    },
    [ADMIN]: {
      read: false,
      edit: false,
    },
    [PHENOLOGIST]: {
      read: false,
      edit: false,
    },
    [PHENOLOGY_MASTER]: {
      read: false,
      edit: false,
    },
    [AGRONOMIST]: {
      read: true,
      edit: false,
    },
    [MASTER]: {
      read: false,
      edit: false,
    },
    [MAIN_GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDIAN]: {
      read: false,
      edit: false,
    },
    [GUARDING_MASTER]: {
      read: false,
      edit: false,
    },
    [GUARDING_MONITOR]: {
      read: false,
      edit: false,
    },
    [GUARDING_WORKER]: {
      read: false,
      edit: false,
    },
    [READER]: {
      read: true,
      edit: false,
    },
  },
};
