import React from 'react';
import { useDispatch } from 'react-redux';
import Button from '@iso/components/uielements/button';
import notification from '@iso/components/Notification';
import actions from '@iso/redux/chat/actions';
import { ComposeMessageWrapper, Textarea } from './Messages.styles';
const { sendMessage } = actions;

export default function ComposeMessage(props) {
  const dispatch = useDispatch();

  const [value, setValue] = React.useState('');
  const onChange = event => {
    setValue(event.target.value);
  };
  const onKeyPress = event => {
    if (event.key === 'Enter') {
      event.preventDefault();
      handleSendMessage();
    }
  };

  const handleSendMessage = () => {
    if (value && value.length > 0) {
      dispatch(sendMessage(value));
      setValue('');
    } else {
      notification('error', 'Пожалуйста, введите сообщение');
    }
  }

  return (
    <ComposeMessageWrapper>
      <Textarea
        autosize={props.autosize}
        value={value}
        onChange={onChange}
        onKeyPress={onKeyPress}
        placeholder="Введите сообщение"
      />
      {props.showButton && (
        <div className="sendMessageButton">
          <Button type="primary" onClick={() => handleSendMessage()}>
            Отправить
          </Button>
        </div>
      )}
    </ComposeMessageWrapper>
  );
}
