import React from 'react';
import Progress from '@iso/components/uielements/progress';
import { SingleProgressWidgetBar } from './ProgressWidget.styles';

export default function SingleProgressWidget({
  label,
  percent,
  barHeight,
  status,
  info,
  fontColor,
  customPercent = false,
}) {
  const validatedPercent = Number.isFinite(percent) ? percent : "100";
  return (
    <SingleProgressWidgetBar className="isoSingleProgressBar">
      <h3 style={{ color: fontColor }}>{label}</h3>
      {customPercent ? (
        <div className="isoCustomProgressBar">
          <Progress
            percent={percent}
            strokeWidth={barHeight}
            status={status}
            showInfo={info}
          />
          <span className="ant-progress-text">{`${validatedPercent}%`}</span>
        </div>
      ) : (
        <Progress
          percent={percent}
          strokeWidth={barHeight}
          status={status}
          showInfo={info}
        />
      )}
    </SingleProgressWidgetBar>
  );
}
