import { feathersApp } from './feathers';

export const signInWithEmail = async (email, password) => {
  try {
    return await feathersApp.reAuthenticate();
  } catch (error) {
    return await feathersApp.authenticate({
      strategy: 'local',
      email: email,
      password: password,
    });
  }
};

export const reAuthenticate = async () => {
  try {
    return await feathersApp.reAuthenticate();
  } catch (error) {
    return null;
  }
};

export const changePassword = async (managerId, password) =>
  await feathersApp.service('manager').patch(managerId, {password});
