import { store } from "@iso/redux/store";
import _ from "lodash";

export const getBlocksPermissions = (page, blocks) => {
  const storeData = store.getState();

  const permissions = _.get(
    storeData,
    `Auth.userPermissions.blocksPermissions[${page}]`,
    {}
  );

  const blocksPermissions = _.get(permissions, "blocks");

  const result = [];

  _.forEach(blocks, (block) => {
    if (blocksPermissions && blocksPermissions[block]) {
      result.push(blocksPermissions[block]);
    } else
      result.push({
        read: false,
        edit: false,
      });
  });

  return result;
};
