import _ from "lodash";

export const getGreenhouseIdFromLocalStorage = (greenhouses, role) => {
  const greenhouseId = localStorage.getItem("greenhouseId") || null;
  const allowedGreenhouses = _.filter(
    greenhouses,
    (g) => g.isActive || role === "superuser" || role === "reader"
  );

  if (greenhouseId) {
    const currentGreenhouse = _.find(
      allowedGreenhouses,
      (g) => g.greenhouseId === greenhouseId
    );
    return currentGreenhouse
      ? currentGreenhouse.greenhouseId
      : !_.isEmpty(allowedGreenhouses)
      ? allowedGreenhouses[0].greenhouseId
      : null;
  } else {
    return _.isEmpty(allowedGreenhouses)
      ? null
      : _.get(allowedGreenhouses[0], "greenhouseId", null);
  }
};
