import { store } from "@iso/redux/store";
import _ from "lodash";

export const getPagePermissions = (page) => {
  const storeData = store.getState();

  const permissions = _.get(
    storeData,
    `Auth.userPermissions.blocksPermissions[${page}]`,
    {}
  );

  return {
    read: permissions.read || false,
    edit: permissions.edit || false,
    sectionsRead: permissions.sectionsRead || [],
    sectionsEdit: permissions.sectionsEdit || [],
  };
};
