const codeTranslateMap = {
  'RU': {
    'auth/claims-too-large': 'Полезная нагрузка утверждений, предоставляемая setCustomUserClaims() превышает максимально допустимый размер в 1000 байт.',
    'auth/email-already-exists': 'Предоставленный адрес электронной почты уже используется существующим пользователем. Каждый пользователь должен иметь уникальный адрес электронной почты.',
    'auth/id-token-expired': 'Срок действия предоставленного токена Firebase ID истек.',
    'auth/id-token-revoked': 'Маркер Firebase ID был отозван.',
    'auth/insufficient-permission': 'У учетных данных, используемых для инициализации Admin SDK, недостаточно прав для доступа к запрашиваемому ресурсу аутентификации. Обратитесь к разделу Настройка проекта Firebase для получения документации о том, как создать учетные данные с соответствующими разрешениями и использовать их для аутентификации Admin SDK.',
    'auth/internal-error': 'Сервер аутентификации обнаружил непредвиденную ошибку при попытке обработать запрос. Сообщение об ошибке должно содержать ответ от сервера аутентификации, содержащий дополнительную информацию. Если ошибка не устранена, сообщите о проблеме на наш канал поддержки отчетов об ошибках .',
    'auth/invalid-argument': 'Недопустимый аргумент был предоставлен методу аутентификации. Сообщение об ошибке должно содержать дополнительную информацию.',
    'auth/invalid-claims': 'Атрибуты пользовательских утверждений, предоставленные для setCustomUserClaims() являются недействительными.',
    'auth/invalid-continue-uri': 'URL-адрес продолжения должен быть допустимой строкой URL-адреса.',
    'auth/invalid-creation-time': 'Время создания должно быть допустимой строкой даты UTC.',
    'auth/invalid-credential': 'Учетные данные, используемые для аутентификации Admin SDK, не могут использоваться для выполнения желаемого действия. Некоторые методы аутентификации, такие как createCustomToken() и verifyIdToken() требуют, чтобы SDK инициализировался с учетными данными сертификата, а не с маркером обновления или учетными данными приложения по умолчанию. Посмотрите Инициализировать SDK для документации о том, как аутентифицировать Admin SDK с учетными данными сертификата.',
    'auth/invalid-disabled-field': 'Предоставленное значение для disabled пользовательского свойства недопустимо. Это должно быть логическое значение.',
    'auth/invalid-email': 'Введен некорректный e-mail',
    'auth/user-not-found': 'Пользователь не найден, он мог быть удален',
    'auth/wrong-password': 'Введен неверный пароль',
    'auth/invalid-display-name': 'Предоставленное значение для свойства пользователя displayName недопустимо. Это должна быть непустая строка.',
    'auth/invalid-dynamic-link-domain': 'Предоставленный домен динамической ссылки не настроен или не авторизован для текущего проекта.',
    'auth/invalid-email-verified': 'Предоставленное значение для свойства пользователя email недействительно. Это должен быть строковый адрес электронной почты.',
    'auth/invalid-hash-algorithm': 'Алгоритм хеширования должен соответствовать одной из строк в списке поддерживаемых алгоритмов.',
    'auth/invalid-hash-block-size': 'Размер блока хеша должен быть действительным числом.',
    'auth/invalid-hash-derived-key-length': 'Длина ключа, полученного из хэша, должна быть действительным числом.',
    'auth/invalid-hash-key': 'Ключ хеша должен быть действительным байтовым буфером.',
    'auth/invalid-hash-memory-cost': 'Стоимость хеш-памяти должна быть действительным числом.',
    'auth/invalid-hash-parallelization': 'Распараллеливание хеша должно быть действительным числом.',
    'auth/invalid-hash-rounds': 'Количество раундов должно быть действительным.',
    'auth/invalid-hash-salt-separator': 'Поле с разделителем соли алгоритма хеширования должно быть допустимым байтовым буфером.',
    'auth/invalid-id-token': 'Предоставленный токен ID не является действительным токеном Firebase ID.',
    'auth/invalid-last-sign-in-time': 'Время последнего входа должно быть верной строкой даты UTC.',
    'auth/invalid-page-token': 'Предоставленный токен следующей страницы в listUsers() недействителен. Это должна быть допустимая непустая строка.',
    'auth/invalid-password': 'Предоставленное значение для password пользователя является недействительным. Это должна быть строка длиной не менее шести символов.',
    'auth/invalid-password-hash': 'Хэш пароля должен быть действительным байтовым буфером.',
    'auth/invalid-password-salt': 'Соль пароля должна быть действительным байтовым буфером',
    'auth/invalid-phone-number': 'Предоставленное значение для phoneNumber недействительно. Это должна быть непустая строка идентификатора, соответствующая стандарту E.164.',
    'auth/invalid-photo-url': 'Предоставленное значение для photoURL пользователя photoURL недопустимо. Это должен быть строковый URL.',
    'auth/invalid-provider-data': 'ProviderData должен быть допустимым массивом объектов UserInfo.',
    'auth/invalid-provider-id': 'ProviderId должен быть допустимой строкой идентификатора поддерживаемого поставщика.',
    'auth/invalid-session-cookie-duration': 'Продолжительность сеансового cookie должна быть действительным числом в миллисекундах от 5 минут до 2 недель.',
    'auth/invalid-uid': 'Предоставленный uid должен быть непустой строкой, содержащей не более 128 символов.',
    'auth/invalid-user-import': 'Пользовательская запись для импорта недействительна.',
    'auth/maximum-user-count-exceeded': 'Превышено максимально допустимое количество пользователей для импорта.',
    'auth/missing-android-pkg-name': 'Имя пакета Android должно быть предоставлено, если требуется установить приложение Android.',
    'auth/missing-continue-uri': 'В запросе должен быть указан действительный URL продолжения.',
    'auth/missing-hash-algorithm': 'Для импорта пользователей с хэшами паролей требуется предоставить алгоритм хеширования и его параметры.',
    'auth/missing-ios-bundle-id': 'В запросе отсутствует идентификатор пакета iOS.',
    'auth/missing-uid': 'Идентификатор uid необходим для текущей операции.',
    'auth/operation-not-allowed': 'Предоставленный поставщик входа отключен для вашего проекта Firebase. Включите его в разделе « Метод входа» консоли Firebase.',
    'auth/phone-number-already-exists': 'Предоставленный номер phoneNumber уже используется существующим пользователем. Каждый пользователь должен иметь уникальный номер phoneNumber .',
    'auth/project-not-found': 'Не найден проект Firebase для учетных данных, используемых для инициализации SDK администратора. Обратитесь к разделу Настройка проекта Firebase для получения документации о том, как создать учетные данные для вашего проекта и использовать их для аутентификации Admin SDK.',
    'auth/reserved-claims': 'Одно или несколько пользовательских утверждений пользователя, предоставляемых setCustomUserClaims() , зарезервированы. Например, РСИН претензия конкретная , такие как (суб, IAT, ISS, ехр, ауд, auth_time, и т.д.) не должна использоваться в качестве ключей для пользовательских требований.',
    'auth/session-cookie-expired': 'Срок действия предоставленного файла cookie сеанса Firebase истек.',
    'auth/session-cookie-revoked': 'Файл cookie сеанса Firebase был отозван.',
    'auth/uid-already-exists': 'Предоставленный uid уже используется существующим пользователем. Каждый пользователь должен иметь уникальный uid пользователя .',
    'auth/unauthorized-continue-uri': 'Домен продолжения URL не занесен в белый список. Белый список домена в консоли Firebase.',
    // 'auth/user-not-found': 'Не существует записи пользователя, соответствующей предоставленному идентификатору.',
  }
}

export const translate = (code = '', language = 'RU') => {
  return codeTranslateMap[language][code];
}
