import io from 'socket.io-client';

import { store } from '@iso/redux/store.js'
import chatActions from '@iso/redux/chat/actions';

export let socket = io(`${process.env.REACT_APP_SOCKETS_HOST}:${process.env.REACT_APP_SOCKETS_PORT}`, {
  autoConnect: true
});

socket.on('connect', () => {
  console.log('socket - ', socket.id)
  store.dispatch(chatActions.chatInit())
})

export default () => {
  socket.on('update-manager-chat', (msg) => {
    store.dispatch(chatActions.receiveChatroomMessages(JSON.parse(msg)))
  })

  socket.on('last-message', (msg) => {
    store.dispatch(chatActions.getLastMessage(JSON.parse(msg)))
  })

  socket.on('set-unread-messages', (msg) => {
    store.dispatch(chatActions.setAllUnreadMessages(JSON.parse(msg)))
  })

  return socket
}
