export function getView(width) {
  let newView = "MobileView";
  if (width > 1220) {
    newView = "DesktopView";
  } else if (width > 767) {
    newView = "TabView";
  }
  return newView;
}

const DOCUMENT = "APP_";

const actions = {
  COLLPSE_CHANGE: "COLLPSE_CHANGE",
  COLLPSE_OPEN_DRAWER: "COLLPSE_OPEN_DRAWER",
  CHANGE_OPEN_KEYS: "CHANGE_OPEN_KEYS",
  TOGGLE_ALL: "TOGGLE_ALL",
  CHANGE_CURRENT: "CHANGE_CURRENT",
  CLEAR_MENU: "CLEAR_MENU",

  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  LOAD_APP_SETTINGS_FROM_AGROINVEST:
    DOCUMENT + "LOAD_APP_SETTINGS_FROM_AGROINVEST",
  LOAD_APP_SETTINGS_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_APP_SETTINGS_FROM_AGROINVEST_SUCCESS",

  SET_GREENHOUSE: DOCUMENT + "SET_GREENHOUSE",

  SET_ERROR: DOCUMENT + "SET_ERROR",

  loadFromAgroInvest: () => {
    return {
      type: actions.LOAD_FROM_AGROINVEST,
    };
  },

  loadFromAgroInvestSuccess: (
    greenhouses,
    totalItems,
    allowedGreenhouses,
    groups
  ) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: {
      greenhouses,
      totalItems,
      allowedGreenhouses,
      groups,
    },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: {
      error,
    },
  }),

  loadAppSettingsFromAgroInvest: () => {
    return {
      type: actions.LOAD_APP_SETTINGS_FROM_AGROINVEST,
    };
  },

  loadAppSettingsFromAgroInvestSuccess: (settings) => ({
    type: actions.LOAD_APP_SETTINGS_FROM_AGROINVEST_SUCCESS,
    payload: {
      settings,
    },
  }),

  setGreenhouse: (greenhouseId) => ({
    type: actions.SET_GREENHOUSE,
    payload: {
      greenhouseId,
    },
  }),

  setError: (error) => ({
    type: actions.SET_ERROR,
    payload: {
      error,
    },
  }),

  toggleCollapsed: () => ({
    type: actions.COLLPSE_CHANGE,
  }),
  toggleAll: (width, height) => {
    const view = getView(width);
    const collapsed = view !== "DesktopView";
    return {
      type: actions.TOGGLE_ALL,
      collapsed,
      view,
      height,
    };
  },
  toggleOpenDrawer: () => ({
    type: actions.COLLPSE_OPEN_DRAWER,
  }),
  changeOpenKeys: (openKeys) => ({
    type: actions.CHANGE_OPEN_KEYS,
    openKeys,
  }),
  changeCurrent: (current) => ({
    type: actions.CHANGE_CURRENT,
    current,
  }),
  clearMenu: () => ({ type: actions.CLEAR_MENU }),
};
export default actions;
