import actions from "./actions";

const initState = {
  audit: [],
  totalItems: 0,
  itemsPerPage: 30,
  page: 1,
};

export default function reducer(state = initState, { type, payload }) {
  switch (type) {
    case actions.GET_TABLE_ID_SUCCESS: {
      return {
        ...state,
        audit: payload["hydra:member"],
        totalItems: payload["hydra:totalItems"],
      };
    }
    case actions.SET_FILTER: {
      const { entity, value } = payload;
      return {
        ...state,
        [entity]: value
      }
    }

    default:
      return state;
  }
}
