import { all, takeEvery, put, call, select } from "redux-saga/effects";
import actions from "./actions";
import { request } from "@iso/lib/helpers/utility";

/**
 * DOC: https://redux-saga-firebase.js.org/reference/dev/AGROINVEST
 */

const COLLECTION_NAME = "audits"; // change your collection

const getPage = state => state.AuditHistory.page;

function* getAudit(action) {
  try {
    const { tableId } = action.payload;
    const page = yield select(getPage)
    const params = {
      tableId,
      page,
      order: {
        actionTimestamp: "desc"
      }
    };

    const data = yield call(request, COLLECTION_NAME, params);
    yield put(actions.getTableIdSuccess(data));
  } catch (err) {
    console.log("err");
    yield put(actions.getTableIdError());
  }
}

export default function* rootSaga() {
  yield all([takeEvery(actions.GET_TABLE_ID, getAudit)]);
}
