const actions = {
  CHAT_INIT: 'CHAT_INIT',
  CHAT_INIT_SAGA: 'CHAT_INIT_SAGA',
  CHAT_UPDATE_CHATROOM: 'CHAT_UPDATE_CHATROOM',
  CHAT_SET_TOGGLE_VIEW_PROFILE: 'CHAT_SET_TOGGLE_VIEW_PROFILE',
  CHAT_SEND_MESSAGE: 'CHAT_SEND_MESSAGE',
  CHAT_UPDATE_CHATROOM_SAGA: 'CHAT_UPDATE_CHATROOM_SAGA',
  TOGGLE_MOBILE_LIST: 'TOGGLE_MOBILE_LIST',
  TOGGLE_MOBILE_PROFILE: 'TOGGLE_MOBILE_PROFILE',
  RESTORE_DEMO_DATA: 'RESTORE_DEMO_DATA',
  RESTORE_DEMO_DATA_DONE: 'RESTORE_DEMO_DATA_DONE',
  UPDATE_NEW_USER_PROPS: 'UPDATE_NEW_USER_PROPS',
  RECEIVE_CHATROOM_MESSAGES: 'RECEIVE_CHATROOM_MESSAGES',
  GET_LAST_MESSAGE: 'GET_LAST_MESSAGE',
  GET_ALL_UNREAD_MESSAGES: 'GET_ALL_UNREAD_MESSAGES',
  SET_ALL_UNREAD_MESSAGES: 'SET_ALL_UNREAD_MESSAGES',
  READ_CHATROOM_MESSAGES: 'READ_CHATROOM_MESSAGES',

  chatInit: userId => ({
    type: actions.CHAT_INIT,
    payload: { userId },
  }),
  toggleViewProfile: viewProfile => ({
    type: actions.CHAT_SET_TOGGLE_VIEW_PROFILE,
    viewProfile,
  }),
  setSelectedChatroom: chatRoom => ({
    type: actions.CHAT_UPDATE_CHATROOM_SAGA,
    payload: { chatRoom, selected: true },
  }),
  sendMessage: message => ({
    type: actions.CHAT_SEND_MESSAGE,
    payload: message,
  }),
  toggleMobileList: mobileActiveList => ({
    type: actions.TOGGLE_MOBILE_LIST,
    mobileActiveList,
  }),
  toggleMobileProfile: mobileActiveProfile => ({
    type: actions.TOGGLE_MOBILE_PROFILE,
    mobileActiveProfile,
  }),
  receiveChatroomMessages: (payload) => ({
    type: actions.RECEIVE_CHATROOM_MESSAGES,
    payload
  }),
  getLastMessage: (payload) => ({
    type: actions.GET_LAST_MESSAGE,
    payload
  }),
  getAllUnreadMessages: () => ({
    type: actions.GET_ALL_UNREAD_MESSAGES,
    payload: null
  }),
  setAllUnreadMessages: (payload) => ({
    type: actions.SET_ALL_UNREAD_MESSAGES,
    payload
  }),
  readChatroomMessages: (chatRoomId) => ({
    type: actions.READ_CHATROOM_MESSAGES,
    payload: chatRoomId
  })
};
export default actions;
