const DOCUMENT = "CHECK_LISTS_";

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  ROWS_LOAD_FROM_AGROINVEST: DOCUMENT + "ROWS_LOAD_FROM_AGROINVEST",
  ROWS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "ROWS_LOAD_FROM_AGROINVEST_SUCCESS",
  ROWS_LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "ROWS_LOAD_FROM_AGROINVEST_ERROR",

  SECTIONS_LOAD_FROM_AGROINVEST: DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST",
  SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS",
  SECTIONS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST_ERROR",

  CHECK_METRIC_LOAD_FROM_AGROINVEST:
    DOCUMENT + "CHECK_METRIC_LOAD_FROM_AGROINVEST",
  CHECK_METRIC_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "CHECK_METRIC_LOAD_FROM_AGROINVEST_SUCCESS",
  CHECK_METRIC_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + "CHECK_METRIC_LOAD_FROM_AGROINVEST_ERROR",

  SAVE_INTO_AGROINVEST: DOCUMENT + "SAVE_INTO_AGROINVEST",
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + "SAVE_INTO_AGROINVEST_ERROR",

  SET_PAGINATION: DOCUMENT + "SET_PAGINATION",
  SET_FILTERS: DOCUMENT + "SET_FILTERS",
  RESET_FILTERS: DOCUMENT + "RESET_FILTERS",
  SET_SELECTOR: DOCUMENT + "SET_SELECTOR",

  TOGGLE_HANDLE_MODAL: DOCUMENT + "TOGGLE_HANDLE_MODAL",
  MODAL_UPDATE: DOCUMENT + "MODAL_UPDATE",

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (taskChecks, checkMetrics) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { taskChecks, checkMetrics },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  rowsLoadFromAgroInvest: () => {
    return { type: actions.ROWS_LOAD_FROM_AGROINVEST };
  },

  rowsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  rowsLoadFromAgroInvestError: (error) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  sectionsLoadFromAgroInvest: () => {
    return { type: actions.SECTIONS_LOAD_FROM_AGROINVEST };
  },

  sectionsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  sectionsLoadFromAgroInvestError: (error) => ({
    type: actions.SECTIONS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  checkMetricLoadFromAgroInvest: () => {
    return { type: actions.CHECK_METRIC_LOAD_FROM_AGROINVEST };
  },

  checkMetricLoadFromAgroInvestSuccess: (data) => ({
    type: actions.CHECK_METRIC_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  checkMetricLoadFromAgroInvestError: (error) => ({
    type: actions.CHECK_METRIC_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = "update") => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },
  resetFilters: () => {
    return {
      type: actions.RESET_FILTERS,
    };
  },
  setSelector: (type, data) => {
    return {
      type: actions.SET_SELECTOR,
      payload: { type, data },
    };
  },
};
export default actions;
