import { all, takeEvery, put, call, select } from 'redux-saga/effects';
import actions from './actions';
import _ from 'lodash';
import { isJSON, request } from '@iso/lib/helpers/utility';
import uuidV4 from 'uuid/v4';

/**
 * DOC: https://redux-saga-firebase.js.org/reference/dev/AGROINVEST
 */

const COLLECTION_NAME = 'check_priorities'; // change your collection


function* createCheckPriority(action) {
  try {
    const { newCheckPriorities } = action.payload;

    if(_.size(newCheckPriorities)) {
      yield all(_.map(newCheckPriorities, item => {
        const params = {
          priority: item.priority,
          worker: `workers/${item.workerId}`,
          section: `sections/${item.sectionId}`,
        }
      return call(request, COLLECTION_NAME, params, 'POST')
      }))
    }

    yield put(actions.createSuccess())
  } catch (err) {
    console.error(err)
    yield put(actions.createFailure())
  }
}

export default function* rootSaga() {
  yield all([
    takeEvery(actions.CREATE_CHECK_PRIORITY, createCheckPriority)
  ]);
}
