const DOCUMENT = "DASHBOARD_";

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  LOAD_TASKS_WEEK_FROM_AGROINVEST: DOCUMENT + "LOAD_TASKS_WEEK_FROM_AGROINVEST",
  LOAD_TASKS_WEEK_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_TASKS_WEEK_FROM_AGROINVEST_SUCCESS",
  LOAD_TASKS_WEEK_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_TASKS_WEEK_FROM_AGROINVEST_ERROR",

  LOAD_ROW_PLAN_FROM_AGROINVEST: DOCUMENT + "LOAD_ROW_PLAN_FROM_AGROINVEST",
  LOAD_ROW_PLAN_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_ROW_PLAN_FROM_AGROINVEST_SUCCESS",

  LOAD_TASKS_AREA_OF_WORK: DOCUMENT + "LOAD_TASKS_AREA_OF_WORK",
  LOAD_TASKS_AREA_OF_WORK_SUCCESS: DOCUMENT + "LOAD_TASKS_AREA_OF_WORK_SUCCESS",

  LOAD_MINI_PLANS_FROM_AGROINVEST: DOCUMENT + "LOAD_MINI_PLANS_FROM_AGROINVEST",
  LOAD_MINI_PLANS_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_MINI_PLANS_FROM_AGROINVEST_SUCCESS",
  LOAD_MINI_PLANS_FROM_AGROINVEST_ERROR:
    DOCUMENT + "LOAD_MINI_PLANS_FROM_AGROINVEST_ERROR",

  SAVE_ROW_RANGE_TO_AGROINVEST: DOCUMENT + "SAVE_ROW_RANGE_TO_AGROINVEST",
  SAVE_ROW_RANGE_TO_AGROINVEST_SUCCESS:
    DOCUMENT + "SAVE_ROW_RANGE_TO_AGROINVEST_SUCCESS",

  LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST:
    DOCUMENT + "LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST",
  LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST_SUCCESS",

  SAVE_GREENHOUSE_SECTION_TO_AGROINVEST:
    DOCUMENT + "SAVE_GREENHOUSE_SECTION_TO_AGROINVEST",
  SAVE_GREENHOUSE_SECTION_TO_AGROINVEST_SUCCESS:
    DOCUMENT + "SAVE_GREENHOUSE_SECTION_TO_AGROINVEST_SUCCESS",

  SELECT_DAY: DOCUMENT + "SELECT_DAY",
  SET_MODULE: DOCUMENT + "SET_MODULE",

  SELECT_PLAN: DOCUMENT + "SELECT_PLAN",
  CHANGE_PLAN_TO_AGROINVEST: DOCUMENT + "CHANGE_PLAN_TO_AGROINVEST",
  CHANGE_PLAN_TO_AGROINVEST_SUCCESS:
    DOCUMENT + "CHANGE_PLAN_TO_AGROINVEST_SUCCESS",

  loadFromAgroInvest: () => ({
    type: actions.LOAD_FROM_AGROINVEST,
  }),

  loadFromAgroInvestSuccess: ({ dayProgress, weekProgress }) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { dayProgress, weekProgress },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadTasksWeekFromAgroInvest: () => ({
    type: actions.LOAD_TASKS_WEEK_FROM_AGROINVEST,
  }),

  loadTasksWeekFromAgroInvestSuccess: ({ tasksWeekProgress}) => ({
    type: actions.LOAD_TASKS_WEEK_FROM_AGROINVEST_SUCCESS,
    payload: { tasksWeekProgress},
  }),

  loadTasksWeekFromAgroInvestError: (error) => ({
    type: actions.LOAD_TASKS_WEEK_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadMiniPlansFromAgroInvest: () => ({
    type: actions.LOAD_MINI_PLANS_FROM_AGROINVEST,
  }),

  loadMiniPlansFromAgroInvestSuccess: (miniPlans) => ({
    type: actions.LOAD_MINI_PLANS_FROM_AGROINVEST_SUCCESS,
    payload: { miniPlans },
  }),

  loadMiniPlansFromAgroInvestError: (error) => ({
    type: actions.LOAD_MINI_PLANS_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadRowPlanFromAgroinvest: () => ({
    type: actions.LOAD_ROW_PLAN_FROM_AGROINVEST,
  }),

  loadRowPlanFromAgroinvestSuccess: (rowPlan) => ({
    type: actions.LOAD_ROW_PLAN_FROM_AGROINVEST_SUCCESS,
    payload: { rowPlan },
  }),

  loadTasksAreaOfWorkFromAgroinvest: () => ({
    type: actions.LOAD_TASKS_AREA_OF_WORK,
  }),

  loadTasksAreaOfWorkFromAgroinvestSuccess: (tasksAreaOfWork) => ({
    type: actions.LOAD_TASKS_AREA_OF_WORK_SUCCESS,
    payload: { tasksAreaOfWork },
  }),

  saveRowRangeToAgroinvest: (rowRange) => {
    return {
      type: actions.SAVE_ROW_RANGE_TO_AGROINVEST,
      payload: { rowRange },
    };
  },

  saveRowRangeToAgroinvestSuccess: (rowRange) => {
    return {
      type: actions.SAVE_ROW_RANGE_TO_AGROINVEST_SUCCESS,
      payload: { rowRange },
    };
  },

  loadGreenhouseSectionsFromAgroInvest: (greenhouseId) => {
    return {
      type: actions.LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST,
      payload: {
        greenhouseId,
      },
    };
  },

  loadGreenhouseSectionsFromAgroInvestSuccess: (greenhouseSections) => ({
    type: actions.LOAD_GREENHOUSE_SECTIONS_FROM_AGROINVEST_SUCCESS,
    payload: {
      greenhouseSections,
    },
  }),

  saveGreenhouseSectionToAgroInvest: (greenhouseSectionId, data) => {
    return {
      type: actions.SAVE_GREENHOUSE_SECTION_TO_AGROINVEST,
      payload: {
        greenhouseSectionId,
        data,
      },
    };
  },

  saveGreenhouseSectionToAgroInvestSuccess: (greenhouseSection) => ({
    type: actions.SAVE_GREENHOUSE_SECTION_TO_AGROINVEST_SUCCESS,
    payload: {
      greenhouseSection,
    },
  }),

  selectPlan: (plan) => ({
    type: actions.SELECT_PLAN,
    payload: { plan },
  }),

  changePlanToAgroInvest: (payload) => ({
    type: actions.CHANGE_PLAN_TO_AGROINVEST,
    payload,
  }),

  changePlanToAgroInvestSuccess: (payload) => ({
    type: actions.CHANGE_PLAN_TO_AGROINVEST_SUCCESS,
    payload,
  }),

  selectDay: (day) => ({
    type: actions.SELECT_DAY,
    payload: day,
  }),

  setModule: (module) => ({
    type: actions.SET_MODULE,
    payload: { module },
  }),
};
export default actions;
