const DOCUMENT = 'EMPAS_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',
  TOGGLE_DISABLED: DOCUMENT + 'TOGGLE_DISABLED',

  SYNC_1C: DOCUMENT + 'SYNC_1C',
  SYNC_1C_SUCCESS: DOCUMENT + 'SYNC_1C_SUCCESS',
  SYNC_1C_ERROR: DOCUMENT + 'SYNC_1C_ERROR',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: data => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return { 
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  toggleDisabled: () => {
    return {
      type: actions.TOGGLE_DISABLED,
    };
  },

  sync1C: syncId => {
    return { 
      type: actions.SYNC_1C,
      payload: { syncId },
    };
  },

  sync1CSuccess: () => ({
    type: actions.SYNC_1C_SUCCESS,
  }),

  sync1CError: error => ({
    type: actions.SYNC_1C_ERROR,
    payload: { error },
  }),
};
export default actions;
