const DOCUMENT = 'GREENHOUSE_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',

  GET_SECTION: DOCUMENT + 'GET_SECTION',
  GET_SECTION_SUCCESS: DOCUMENT + 'GET_SECTION_SUCCESS',
  GET_SECTION_ERROR: DOCUMENT + 'GET_SECTION_ERROR',

  CREATE_GREENHOUSE_SECTION: DOCUMENT + 'CREATE_GREENHOUSE_SECTION',
  CREATE_GREENHOUSE_SECTION_SUCCESS: DOCUMENT + 'CREATE_GREENHOUSE_SECTION_SUCCESS',
  CREATE_GREENHOUSE_SECTION_ERROR: DOCUMENT + 'CREATE_GREENHOUSE_SECTION_ERROR',

  DELETE_GREENHOUSE_SECTION: DOCUMENT + 'DELETE_GREENHOUSE_SECTION',
  DELETE_GREENHOUSE_SECTION_SUCCESS: DOCUMENT + 'DELETE_GREENHOUSE_SECTION_SUCCESS',
  DELETE_GREENHOUSE_SECTION_ERROR: DOCUMENT + 'DELETE_GREENHOUSE_SECTION_FAILURE',

  REMOVE_GREENHOUSE_SECTION: DOCUMENT + 'REMOVE_GREENHOUSE_SECTION',

  ADD_FILTER_PARENT: DOCUMENT + 'ADD_FILTER_PARENT',

  ADD_NEW_SECTION_GREENHOUSE: DOCUMENT + 'ADD_NEW_SECTION_GREENHOUSE',

  SAVE_NEW_SECTION_GREENHOUSE: DOCUMENT + 'SAVE_NEW_SECTION_GREENHOUSE',
  SAVE_NEW_SECTION_GREENHOUSE_SUCCESS: DOCUMENT + 'SAVE_NEW_SECTION_GREENHOUSE_SUCCESS',
  SAVE_NEW_SECTION_GREENHOUSE_ERROR: DOCUMENT + 'SAVE_NEW_SECTION_GREENHOUSE_ERROR',

  CHANGE_TIME_GREENHOUSE_SECTION: DOCUMENT + 'CHANGE_TIME_GREENHOUSE_SECTION',

  changeTime: (data) => ({
    type: actions.CHANGE_TIME_GREENHOUSE_SECTION,
    payload: data
  }),
 
  addSection: (data) => ({
    type: actions.ADD_NEW_SECTION_GREENHOUSE,
    payload: data
  }),

  saveSection: (data) => ({
    type: actions.SAVE_NEW_SECTION_GREENHOUSE,
    payload: data
  }),
  saveSectionSuccess: () => ({
    type: actions.SAVE_NEW_SECTION_GREENHOUSE_SUCCESS
  }),
  saveSectionError: () => ({
    type: actions.SAVE_NEW_SECTION_GREENHOUSE_ERROR
  }),

  addParent: data => ({
    type: actions.ADD_FILTER_PARENT,
    payload: data
  }),

  removeGreengouseSection: (data) => ({
    type: actions.REMOVE_GREENHOUSE_SECTION,
    payload: data
  }),

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  deleteGreenhouseSection: (data) => ({
    type: actions.DELETE_GREENHOUSE_SECTION,
    payload: data
  }),

  deleteGreenhouseSectionSuccess: () => ({
    type: actions.DELETE_GREENHOUSE_SECTION_SUCCESS
  }),

  deleteGreenhouseSectionError: () => ({
    type: actions.DELETE_GREENHOUSE_SECTION_ERROR
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: data => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return { 
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  getSection: (data) => ({
    type: actions.GET_SECTION,
    payload: data
  }),
  getSectionSuccess: (data) => ({
    type: actions.GET_SECTION_SUCCESS,
    payload: data
  }),
  getSectionError: () => ({
    type: actions.GET_SECTION_ERROR
  }),

  createGreenhouseSection: (data) => ({
    type: actions.CREATE_GREENHOUSE_SECTION,
    payload: data
  }),
  createGreenhouseSectionSuccess: () => ({
    type: actions.CREATE_GREENHOUSE_SECTION_SUCCESS
  }),
  createGreenhouseSectionError: () => ({
    type: actions.CREATE_GREENHOUSE_SECTION_ERROR
  })

};
export default actions;
