const DOCUMENT = 'METRIC_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  LOAD_CURRENT_PLANTS_FROM_AGROINVEST: DOCUMENT + 'LOAD_CURRENT_PLANTS_FROM_AGROINVEST',
  LOAD_CURRENT_PLANTS_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_CURRENT_PLANTS_FROM_AGROINVEST_SUCCESS',
  LOAD_CURRENT_PLANTS_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_CURRENT_PLANTS_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',

  PREPARE_DOWNLOAD: DOCUMENT + 'PREPARE_DOWNLOAD',
  PREPARE_DOWNLOAD_SUCCESS: DOCUMENT + 'PREPARE_DOWNLOAD_SUCCESS',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadCurrentPlantsFromAgroInvest: (greenhouseId) => {
    return {
      type: actions.LOAD_CURRENT_PLANTS_FROM_AGROINVEST,
      payload: greenhouseId
    };
  },

  loadCurrentPlantsFromAgroInvestSuccess: (data) => ({
    type: actions.LOAD_CURRENT_PLANTS_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  loadCurrentPlantsFromAgroInvestError: error => ({
    type: actions.LOAD_CURRENT_PLANTS_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: data => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  prepareDownload: () => ({
    type: actions.PREPARE_DOWNLOAD,
    payload: null,
  }),

  prepareDownloadSuccess: (data) => ({
    type: actions.PREPARE_DOWNLOAD_SUCCESS,
    payload: { data },
  }),
};

export default actions;
