const DOCUMENT = 'MONITORING_INFO_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  ROWS_LOAD_FROM_AGROINVEST: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST',
  ROWS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_SUCCESS',
  ROWS_LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_ERROR',

  PEST_INFESTATIONS_LOAD_FROM_AGROINVEST:
    DOCUMENT + 'PEST_INFESTATIONS_LOAD_FROM_AGROINVEST',
  PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + 'PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_SUCCESS',
  PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + 'PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_ERROR',

  PESTS_LOAD_FROM_AGROINVEST: DOCUMENT + 'PESTS_LOAD_FROM_AGROINVEST',
  PESTS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + 'PESTS_LOAD_FROM_AGROINVEST_SUCCESS',
  PESTS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + 'PESTS_LOAD_FROM_AGROINVEST_ERROR',

  INTENSITYS_LOAD_FROM_AGROINVEST: DOCUMENT + 'INTENSITYS_LOAD_FROM_AGROINVEST',
  INTENSITYS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + 'INTENSITYS_LOAD_FROM_AGROINVEST_SUCCESS',
  INTENSITYS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + 'INTENSITYS_LOAD_FROM_AGROINVEST_ERROR',

  WORKERS_LOAD_FROM_AGROINVEST: DOCUMENT + 'WORKERS_LOAD_FROM_AGROINVEST',
  WORKERS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + 'WORKERS_LOAD_FROM_AGROINVEST_SUCCESS',
  WORKERS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + 'WORKERS_LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',
  RESET_FILTERS: DOCUMENT + 'RESET_FILTERS',
  SET_WORKER_ID: DOCUMENT + 'SET_WORKER_ID',
  SET_PEST_ID: DOCUMENT + 'SET_PEST_ID',
  SET_DATE_BEFORE: DOCUMENT + 'SET_DATE_BEFORE',
  SET_DATE_AFTER: DOCUMENT + 'SET_DATE_AFTER',
  SET_ROW_START: DOCUMENT + 'SET_ROW_START',
  SET_ROW_END: DOCUMENT + 'SET_ROW_END',
  SET_FILL_ROWS: DOCUMENT + 'SET_FILL_ROWS',
  REFRESH: DOCUMENT + 'REFRESH',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems, intensities) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems, intensities },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'PATCH') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },
  resetFilters: () => {
    return {
      type: actions.RESET_FILTERS,
    };
  },

  setWorkerId: (data) => {
    return {
      type: actions.SET_WORKER_ID,
      payload: { data },
    };
  },
  setPestId: (data) => {
    return {
      type: actions.SET_PEST_ID,
      payload: { data },
    };
  },
  setDateBefore: (data) => {
    return {
      type: actions.SET_DATE_BEFORE,
      payload: { data },
    };
  },
  setDateAfter: (data) => {
    return {
      type: actions.SET_DATE_AFTER,
      payload: { data },
    };
  },
  setRowStart: (data) => {
    return {
      type: actions.SET_ROW_START,
      payload: { data },
    };
  },
  setRowEnd: (data) => {
    return {
      type: actions.SET_ROW_END,
      payload: { data },
    };
  },
  setFillRows: (data) => {
    return {
      type: actions.SET_FILL_ROWS,
      payload: { data },
    };
  },

  refresh: () => {
    return { type: actions.REFRESH };
  },
  rowsLoadFromAgroInvest: () => {
    return { type: actions.ROWS_LOAD_FROM_AGROINVEST };
  },

  rowsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  rowsLoadFromAgroInvestError: (error) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  pestInfestationsLoadFromAgroInvest: () => {
    return { type: actions.PEST_INFESTATIONS_LOAD_FROM_AGROINVEST };
  },

  pestInfestationsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  pestInfestationsLoadFromAgroInvestError: (error) => ({
    type: actions.PEST_INFESTATIONS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  pestsLoadFromAgroInvest: () => {
    return { type: actions.PESTS_LOAD_FROM_AGROINVEST };
  },

  pestsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.PESTS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  pestsLoadFromAgroInvestError: (error) => ({
    type: actions.PESTS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  workersLoadFromAgroInvest: () => {
    return { type: actions.WORKERS_LOAD_FROM_AGROINVEST };
  },

  workersLoadFromAgroInvestSuccess: (data) => ({
    type: actions.WORKERS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  workersLoadFromAgroInvestError: (error) => ({
    type: actions.WORKERS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  intensitysLoadFromAgroInvest: () => {
    return { type: actions.INTENSITYS_LOAD_FROM_AGROINVEST };
  },

  intensitysLoadFromAgroInvestSuccess: (data) => ({
    type: actions.INTENSITYS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  intensitysLoadFromAgroInvestError: (error) => ({
    type: actions.INTENSITYS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),
};
export default actions;
