const DOCUMENT = 'ORDERING_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  SAVE_TO_AGROINVEST: DOCUMENT + 'SAVE_TO_AGROINVEST',
  SAVE_TO_AGROINVEST_SUCCESS: DOCUMENT + 'SAVE_TO_AGROINVEST_SUCCESS',
  SAVE_TO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_TO_AGROINVEST_ERROR',

  REFRESH_ROWS: DOCUMENT + 'REFRESH_ROWS',

  loadFromAgroInvest: (greenhouseId) => {
    return { 
      type: actions.LOAD_FROM_AGROINVEST,
      payload: {
        greenhouseId,
      } 
    };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveToAgroInvest: (rows) => {
    return { 
      type: actions.SAVE_TO_AGROINVEST,
      payload: {
        rows,
      } 
    };
  },

  saveToAgroInvestSuccess: () => ({
    type: actions.SAVE_TO_AGROINVEST_SUCCESS,
  }),

  saveToAgroInvestError: error => ({
    type: actions.SAVE_TO_AGROINVEST_ERROR,
    payload: { error },
  }),

  refreshRows: () => ({
    type: actions.REFRESH_ROWS,
  }),
};
export default actions;
