const DOCUMENT = 'PHENOLOGY_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',

  SET_REFERENCE_BOOK_TABLE_VALUE: DOCUMENT + 'SET_REFERENCE_BOOK_TABLE_VALUE',

  UPDATE_REFERENCE_BOOK_REQUEST: DOCUMENT + 'UPDATE_REFERENCE_BOOK_REQUEST',
  UPDATE_REFERENCE_BOOK_SUCCESS: DOCUMENT + 'UPDATE_REFERENCE_BOOK_SUCCESS',
  UPDATE_REFERENCE_BOOK_FAIL: DOCUMENT + 'UPDATE_REFERENCE_BOOK_FAIL',

  GET_HISTORICAL_VALVES_REQUEST: DOCUMENT + 'GET_HISTORICAL_VALVES_REQUEST',
  GET_HISTORICAL_VALVES_SUCCESS: DOCUMENT + 'GET_HISTORICAL_VALVES_SUCCESS',
  GET_HISTORICAL_VALVES_FAIL: DOCUMENT + 'GET_HISTORICAL_VALVES_FAIL',

  SET_HISTORICAL_VALVES: DOCUMENT + 'SET_HISTORICAL_VALVES',

  UPDATE_HISTORICAL_VALVES_REQUEST: DOCUMENT + 'UPDATE_HISTORICAL_VALVES_REQUEST',
  UPDATE_HISTORICAL_VALVES_SUCCESS: DOCUMENT + 'UPDATE_HISTORICAL_VALVES_SUCCESS',
  UPDATE_HISTORICAL_VALVES_FAIL: DOCUMENT + 'UPDATE_HISTORICAL_VALVES_FAIL',

  SET_HISTORICAL_VALVES_FILTERS: DOCUMENT + 'SET_HISTORICAL_VALVES_FILTERS',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems, valves) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems, valves },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: data => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  setReferenceBookTableValue: (data) => {
    return {
      type: actions.SET_REFERENCE_BOOK_TABLE_VALUE,
      payload: data,
    };
  },

  updateReferenceBook: (data) => {
    return {
      type: actions.UPDATE_REFERENCE_BOOK_REQUEST,
      payload: data,
    };
  },

  updateReferenceBookSuccess: () => {
    return {
      type: actions.UPDATE_REFERENCE_BOOK_SUCCESS,
    }
  },

  updateReferenceBookFail: () => {
    return {
      type: actions.UPDATE_REFERENCE_BOOK_FAIL,
    };
  },

  getHistoricalValves: () => {
    return {
      type: actions.GET_HISTORICAL_VALVES_REQUEST,
    };
  },

  getHistoricalValvesSuccess: (data) => {
    return {
      type: actions.GET_HISTORICAL_VALVES_SUCCESS,
      payload: data,
    }
  },

  getHistoricalValvesFail: () => {
    return {
      type: actions.GET_HISTORICAL_VALVES_FAIL,
    }
  },

  setHistoricalValves: (data) => {
    return {
      type: actions.SET_HISTORICAL_VALVES,
      payload: data,
    };
  },

  updateHistoricalValves: (data) => {
    return {
      type: actions.UPDATE_HISTORICAL_VALVES_REQUEST,
      payload: data,
    };
  },

  updateHistoricalValvesSuccess: () => {
    return {
      type: actions.UPDATE_HISTORICAL_VALVES_SUCCESS,
    }
  },

  updateHistoricalValvesFail: () => {
    return {
      type: actions.UPDATE_HISTORICAL_VALVES_FAIL,
    };
  },

  setHistoricalValvesFilters: (data) => {
    return {
      type: actions.SET_HISTORICAL_VALVES_FILTERS,
      payload: data,
    };
  },
};
export default actions;
