const DOCUMENT = 'PLAN_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  LOAD_TEMPLATES_FROM_AGROINVEST: DOCUMENT + 'LOAD_TEMPLATES_FROM_AGROINVEST',
  LOAD_TEMPLATES_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_TEMPLATES_FROM_AGROINVEST_SUCCESS',
  LOAD_TEMPLATES_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_TEMPLATES_FROM_AGROINVEST_ERROR',

  SAVE_TEMPLATE_INTO_AGROINVEST: DOCUMENT + 'SAVE_TEMPLATE_INTO_AGROINVEST',
  SAVE_TEMPLATE_INTO_AGROINVEST_SUCCESS: DOCUMENT + 'SAVE_TEMPLATE_INTO_AGROINVEST_SUCCESS',
  SAVE_TEMPLATE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_TEMPLATE_INTO_AGROINVEST_ERROR',

  ENABLE_ROWS: DOCUMENT + 'ENABLE_ROWS',
  DISABLE_ROWS: DOCUMENT + 'DISABLE_ROWS',
  DELETE_ROWS: DOCUMENT + 'DELETE_ROWS',
  ROWS_ERROR: DOCUMENT + 'ROWS_ERROR',

  SELECT_ROWS: DOCUMENT + 'SELECT_ROWS',
  SET_ROWS: DOCUMENT + 'SET_ROWS',

  SET_PAGE: DOCUMENT + 'SET_PAGE',
  SET_SECTION: DOCUMENT + 'SET_SECTION',
  SET_PASS: DOCUMENT + 'SET_PASS',
  SET_DETAILS: DOCUMENT + 'SET_DETAILS',
  SET_TEMPLATE: DOCUMENT + 'SET_TEMPLATE',
  SET_TEMPLATE_JSON: DOCUMENT + 'SET_TEMPLATE_JSON',
  SET_DEFAULT_TEMPLATE_FIELDS: DOCUMENT + 'SET_DEFAULT_TEMPLATE_FIELDS',

  CLEAR_TEMPLATE_EDIT: DOCUMENT + 'CLEAR_TEMPLATE_EDIT',
  RESET_TEMPLATE_ID: DOCUMENT + 'RESET_TEMPLATE_ID',

  SET_TEMPLATE_EDITING_OPTIONS: DOCUMENT + 'SET_TEMPLATE_EDITING_OPTIONS',
  SET_TEMPLATE_EDIT: DOCUMENT + 'SET_TEMPLATE_EDIT',

  TOGGLE_TEMPLATE_VIEW_MODAL: DOCUMENT + 'TOGGLE_TEMPLATE_VIEW_MODAL',
  TOGGLE_TEMPLATE_EDIT_MODAL: DOCUMENT + 'TOGGLE_TEMPLATE_EDIT_MODAL',

  SET_IS_LOADING: DOCUMENT + 'SET_IS_LOADING',
  DISABLE_LOADING: DOCUMENT + 'DISABLE_LOADING',

  REFRESH_ROWS: DOCUMENT + 'REFRESH_ROWS',

  SECTIONS_GREENHOUSE: DOCUMENT + 'SECTIONS_GREENHOUSE',
  SECTIONS_GREENHOUSE_SUCCESS: DOCUMENT + 'SECTIONS_GREENHOUSE_SUCCESS',
  SECTIONS_GREENHOUSE_FAILURE: DOCUMENT + 'SECTIONS_GREENHOUSE_FAILURE',

  GET_ID: DOCUMENT + 'GET_ID',
  GET_ID_SUCCESS: DOCUMENT + 'GET_ID_SUCCESS',
  GET_ID_FAILURE: DOCUMENT + 'GET_ID_SUCCESS',

  getId: (planId) => ({
    type: actions.GET_ID,
    payload: { planId }
  }),
  getIdSuccess: (data) => ({
    type: actions.GET_ID_SUCCESS,
    payload: data
  }),
  getIdFailure: (data) => ({
    type: actions.GET_ID_FAILURE
  }),
  
  getSectionsGreenhouse: () => ({
    type: actions.SECTIONS_GREENHOUSE,
  }),

  getSectionsGreenhouseSuccess: (data) => ({
    type: actions.SECTIONS_GREENHOUSE_SUCCESS,
    payload: data
  }),

  getSectionsGreenhouseFailure: () => ({
    type: actions.SECTIONS_GREENHOUSE_FAILURE
  }),

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems, templates) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems, templates },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadTemplatesFromAgroInvest: () => {
    return { type: actions.LOAD_TEMPLATES_FROM_AGROINVEST };
  },

  loadTemplatesFromAgroInvestSuccess: (data) => ({
    type: actions.LOAD_TEMPLATES_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  loadTemplatesFromAgroInvestError: error => ({
    type: actions.LOAD_TEMPLATES_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveTemplateIntoAgroInvest: (data) => {
    return {
      type: actions.SAVE_TEMPLATE_INTO_AGROINVEST,
      payload: data
    };
  },

  saveTemplateIntoAgroInvestSuccess: () => {
    return { type: actions.SAVE_TEMPLATE_INTO_AGROINVEST_SUCCESS };
  },

  saveTemplateIntoAgroInvestError: (error) => {
    return {
      type: actions.SAVE_TEMPLATE_INTO_AGROINVEST_ERROR,
      payload: error
    };
  },

  enableRows: () => { 
    return { 
      type: actions.ENABLE_ROWS,
      payload: true,
    }
  },  

  disableRows: () => {
    return { 
      type: actions.DISABLE_ROWS,
      payload: false, 
    }
  },    

  deleteRows: () => {
    return {
      type: actions.DELETE_ROWS,
    }
  },

  rowsError: error => ({
    type: actions.ROWS_ERROR,
    payload: { error },
  }),

  selectRows: (section, selection) => ({
    type: actions.SELECT_ROWS,
    payload: { section, selection },
  }),  

  refreshRows: () => ({
    type: actions.REFRESH_ROWS,
  }),

  setPage: (currentPage) => {
    return { 
      type: actions.SET_PAGE,
      payload: currentPage,
    };
  },

  setSection: (currentSection) => {
    return {
      type: actions.SET_SECTION,
      payload: currentSection,
    }
  },

  setPass: (currentPass) => {
    return {
      type: actions.SET_PASS,
      payload: currentPass,
    }
  },

  setDetails: (name, value) => {
    return {
      type: actions.SET_DETAILS,
      payload: {
        name,
        value
      }
    }
  },

  setTemplate: (templateId) => {
    return {
      type: actions.SET_TEMPLATE,
      payload: templateId
    }
  },

  setTemplateEditingOptions: (field, value) => {
    return {
      type: actions.SET_TEMPLATE_EDITING_OPTIONS,
      payload: { field, value }
    }
  },

  setTemplateEdit: (data) => {
    return {
      type: actions.SET_TEMPLATE_EDIT,
      payload: data
    }
  },

  toggleTemplateViewModal: (status) => {
    return {
      type: actions.TOGGLE_TEMPLATE_VIEW_MODAL,
      payload: status
    }
  },

  toggleTemplateEditModal: (status) => {
    return {
      type: actions.TOGGLE_TEMPLATE_EDIT_MODAL,
      payload: status
    }
  },

  setTemplateJson: (data) => {
    return {
      type: actions.SET_TEMPLATE_JSON,
      payload: data
    }
  },

  setDefaultTemplateFields: () => {
    return {
      type: actions.SET_DEFAULT_TEMPLATE_FIELDS
    }
  },

  clearTemplateEdit: () => {
    return {
      type: actions.CLEAR_TEMPLATE_EDIT
    }
  },

  resetTemplateId: () => {
    return {
      type: actions.RESET_TEMPLATE_ID
    }
  },

  setIsLoading: () => {
    return {
      type: actions.SET_IS_LOADING
    }
  },

  disableLoading: () => {
    return {
      type: actions.DISABLE_LOADING
    }
  },

  setRows: (rowName, rowValue) => ({
    type: actions.SET_ROWS,
    payload: {
      rowName, rowValue
    },
  })  
};
export default actions;
