const DOCUMENT = 'PLANT_PROTECTION_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  ROWS_LOAD_FROM_AGROINVEST: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST',
  ROWS_LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_SUCCESS',
  ROWS_LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_ERROR',

  INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST: DOCUMENT + 'INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST',
  INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_SUCCESS',
  INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_INTENSITY: DOCUMENT + 'SAVE_INTO_AGROINVEST_INTENSITY',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',
  SAVE_INTO_AGROINVEST_INTENSITY_DESCRIPTIONS: DOCUMENT + 'SAVE_INTO_AGROINVEST_INTENSITY_DESCRIPTIONS',
  ADD_INTENSITY_DESCRIPTIONS: DOCUMENT + 'ADD_INTENSITY_DESCRIPTIONS',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL',
  MODAL_UPDATE: DOCUMENT + 'MODAL_UPDATE',

  TOGGLE_HANDLE_MODAL_INTENSITY: DOCUMENT + 'TOGGLE_HANDLE_MODAL_INTENSITY',
  MODAL_UPDATE_INTENSITY: DOCUMENT + 'MODAL_UPDATE_INTENSITY',

  DELETE_PEST: DOCUMENT + 'DELETE_PEST',
  DELETE_INTENSITY: DOCUMENT + 'DELETE_INTENSITY',

  DELETE_WORK: DOCUMENT + 'DELETE_ONE_WORK',
  ADD_WORK: DOCUMENT + 'ADD_WORK',
  UPDATE_WORK: DOCUMENT + 'UPDATE_WORK',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems, intensities) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data,  totalItems, intensities },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'PATCH') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestIntensity: (data, actionName = 'PATCH') => ({
    type: actions.SAVE_INTO_AGROINVEST_INTENSITY,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestIntensityDescriptions: (data, actionName = 'PATCH') => ({
    type: actions.SAVE_INTO_AGROINVEST_INTENSITY_DESCRIPTIONS,
    payload: { data, actionName },
  }),

  addIntensityDescriptions: (data, actionName = 'PATCH') => ({
    type: actions.ADD_INTENSITY_DESCRIPTIONS,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  toggleModalIntensity: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL_INTENSITY,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  updateIntensity: (data) => ({
    type: actions.MODAL_UPDATE_INTENSITY,
    payload: { data },
  }),

  deletePest: (data) => ({
    type: actions.DELETE_PEST,
    payload: data
  }),

  deleteIntensity: (data) => ({
    type: actions.DELETE_INTENSITY,
    payload: data
  }),

  deleteWork: (data) => ({
    type: actions.DELETE_WORK,
    payload: data
  }),

  addWork: (data) => ({
    type: actions.ADD_WORK,
    payload: data
  }),

  updateWork: (data) => ({
    type: actions.UPDATE_WORK,
    payload: data
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  rowsLoadFromAgroInvest: () => {
    return { type: actions.ROWS_LOAD_FROM_AGROINVEST };
  },

  rowsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  rowsLoadFromAgroInvestError: error => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),
  
  intensityDesriptionsLoadFromAgroInvest: () => {
    return { type: actions.INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST };
  },

  intensityDesriptionsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  intensityDesriptionsLoadFromAgroInvestError: error => ({
    type: actions.INTENSITY_DESCRIPTIONS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),
};
export default actions;
