const DOCUMENT = "QUALITY_CONTROL_";

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  SECTIONS_LOAD_FROM_AGROINVEST: DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST",
  SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS",
  SECTIONS_LOAD_FROM_AGROINVEST_ERROR:
    DOCUMENT + "SECTIONS_LOAD_FROM_AGROINVEST_ERROR",

  SAVE_INTO_AGROINVEST: DOCUMENT + "SAVE_INTO_AGROINVEST",
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + "SAVE_INTO_AGROINVEST_ERROR",

  TOGGLE_HANDLE_MODAL: DOCUMENT + "TOGGLE_HANDLE_MODAL",
  MODAL_UPDATE: DOCUMENT + "MODAL_UPDATE",

  DELETE_CHECK: DOCUMENT + "DELETE_CHECK",

  SET_FILTERS: DOCUMENT + "SET_FILTERS",

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  sectionsLoadFromAgroInvest: () => {
    return { type: actions.SECTIONS_LOAD_FROM_AGROINVEST };
  },

  sectionsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  sectionsLoadFromAgroInvestError: (error) => ({
    type: actions.SECTIONS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data) => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  deleteCheck: (data) => ({
    type: actions.DELETE_CHECK,
    payload: data,
  }),

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },
};
export default actions;
