import actions from "./actions";

const initState = {
  isLoading: false,
  isLoadingSections: false,
  errorMessage: false,
  checkMetrics: [],
  modalActive: false,
  totalItems: 0,
  itemsPerPage: 100,
  checkMetric: {
    name: "",
    type: "",
    group: "",
    id: null,
  },
  sections: [],
  filters: {},
};

export default function reducer(state = initState, { type, payload }) {
  switch (type) {
    case actions.LOAD_FROM_AGROINVEST:
      return {
        ...state,
        isLoading: true,
        errorMessage: false,
        modalActive: false,
      };
    case actions.LOAD_FROM_AGROINVEST_SUCCESS:
      return {
        ...state,
        isLoading: false,
        checkMetrics: payload.data,
        totalItems: payload.totalItems,
        errorMessage: false,
      };
    case actions.LOAD_FROM_AGROINVEST_ERROR:
      return {
        ...state,
        isLoading: false,
        errorMessage: "There is a loading problem",
      };
    case actions.SECTIONS_LOAD_FROM_AGROINVEST:
      return {
        ...state,
        isLoadingSections: true,
        errorMessage: false,
      };
    case actions.SECTIONS_LOAD_FROM_AGROINVEST_SUCCESS:
      return {
        ...state,
        isLoadingSections: false,
        sections: payload,
        errorMessage: false,
      };
    case actions.SECTIONS_LOAD_FROM_AGROINVEST_ERROR:
      return {
        ...state,
        isLoadingSections: false,
        errorMessage: "There is a loading problem",
      };
    case actions.TOGGLE_HANDLE_MODAL:
      const updCheckMetric = payload.data == null ? { name: "" } : payload.data;
      return {
        ...state,
        modalActive: !state.modalActive,
        checkMetric: updCheckMetric,
      };
    case actions.MODAL_UPDATE:
      return {
        ...state,
        checkMetric: payload.data,
      };

    case actions.SET_FILTERS:
      return {
        ...state,
        isLoading: true,
        filters: payload.filters,
        page: payload.page,
      };
    default:
      return state;
  }
}
