const DOCUMENT = 'PLANT_PROTECTION_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',

  ROWS_LOAD_FROM_AGROINVEST: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST',
  ROWS_LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_SUCCESS',
  ROWS_LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'ROWS_LOAD_FROM_AGROINVEST_ERROR',

  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  SET_PAGINATION: DOCUMENT + 'SET_PAGINATION',
  SET_FILTERS: DOCUMENT + 'SET_FILTERS',

  TOGGLE_HANDLE_MODAL: DOCUMENT + 'TOGGLE_HANDLE_MODAL_LESION',
  MODAL_UPDATE: DOCUMENT + 'MODAL_LESION_UPDATE',

  DELETE_PEST: DOCUMENT + 'DELETE_PEST_LESION',

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, groups, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: error => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'PATCH') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: error => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  deletePest: (data) => ({
    type: actions.DELETE_PEST,
    payload: data
}),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  rowsLoadFromAgroInvest: () => {
    return { type: actions.ROWS_LOAD_FROM_AGROINVEST };
  },

  rowsLoadFromAgroInvestSuccess: (data) => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_SUCCESS,
    payload: data,
  }),

  rowsLoadFromAgroInvestError: error => ({
    type: actions.ROWS_LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),
};
export default actions;
