const DOCUMENT = "SECTION_";

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST:
    DOCUMENT + "LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST",
  LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS",

  SELECT_TASKS: DOCUMENT + "SELECT_TASKS",
  SELECT_WORKERS: DOCUMENT + "SELECT_WORKERS",

  ENABLE_TASKS: DOCUMENT + "ENABLE_TASKS",
  DISABLE_TASKS: DOCUMENT + "DISABLE_TASKS",
  TASKS_ERROR: DOCUMENT + "TASKS_ERROR",

  SELECT_DAY: DOCUMENT + "SELECT_DAY",
  SET_DETAILS: DOCUMENT + "SET_DETAILS",
  SET_ROWS: DOCUMENT + "SET_ROWS",
  SET_PASS: DOCUMENT + "SET_PASS",

  SET_PAGE: DOCUMENT + "SET_PAGE",
  REFRESH_TASKS: DOCUMENT + "REFRESH_TASKS",
  SECTIONS_GREENHOUSE: DOCUMENT + "SECTIONS_GREENHOUSE",
  SECTIONS_GREENHOUSE_SUCCESS: DOCUMENT + "SECTIONS_GREENHOUSE_SUCCESS",
  SECTIONS_GREENHOUSE_FAILURE: DOCUMENT + "SECTIONS_GREENHOUSE_FAILURE",

  CHECK_PRESENCE_TASK_PASS: DOCUMENT + "CHECK_PRESENCE_TASK_PASS",
  CHECK_PRESENCE_TASK_PASS_SUCCESS:
    DOCUMENT + "CHECK_PRESENCE_TASK_PASS_SUCCESS",
  CHECK_PRESENCE_TASK_PASS_FAILURE:
    DOCUMENT + "CHECK_PRESENCE_TASK_PASS_FAILURE",

  GET_SECTIONS: DOCUMENT + "GET_SECTIONS",
  GET_SECTIONS_SUCCESS: DOCUMENT + "GET_SECTIONS_SUCCESS",
  GET_SECTIONS_FAILURE: DOCUMENT + "GET_SECTIONS_FAILURE",

  GET_SELECTED_TASK: DOCUMENT + "GET_SELECTED_TASK",
  GET_SELECTED_TASK_SUCCESS: DOCUMENT + "GET_SELECTED_TASK",
  GET_SELECTED_TASK_ERROR: DOCUMENT + "GET_SELECTED_TASK_ERROR",

  TASK_UPDATE: DOCUMENT + "TASK_UPDATE",
  TASK_UPDATE_SUCCESS: DOCUMENT + "TASK_UPDATE_SUCCESS",
  TASK_UPDATE_ERROR: DOCUMENT + "TASK_UPDATE_ERROR",

  PATCH_TASK: DOCUMENT + "PATCH_TASK",
  PATCH_TASK_SUCCESS: DOCUMENT + "PATCH_TASK_SUCCESS",
  PATCH_TASK_ERROR: DOCUMENT + "PATCH_TASK_ERROR",

  CHANGE_TASK: DOCUMENT + "CHANGE_TASK",

  CHANGE_PROPERTIES: DOCUMENT + "CHANGE_PROPERTIES",

  getTask: (taskId) => ({
    type: actions.GET_SELECTED_TASK,
    payload: { taskId },
  }),
  getTaskSuccess: (data) => ({
    type: actions.GET_SELECTED_TASK_SUCCESS,
    payload: data,
  }),
  getTaskError: () => ({
    type: actions.GET_SELECTED_TASK_ERROR,
  }),

  patchTask: (data) => ({
    type: actions.PATCH_TASK,
    payload: data,
  }),
  patchTaskSuccess: (data) => ({
    type: actions.PATCH_TASK_SUCCESS,
    payload: data,
  }),
  patchTaskError: (data) => ({
    type: actions.PATCH_TASK_ERROR,
  }),

  changeTask: (entity, value) => ({
    type: actions.CHANGE_TASK,
    payload: { entity, value },
  }),

  changeProperties: (id, value) => ({
    type: actions.CHANGE_PROPERTIES,
    payload: { id, value },
  }),

  taskUpdate: (data) => ({
    type: actions.TASK_UPDATE,
    payload: data,
  }),
  taskUpdateSuccess: () => ({
    type: actions.TASK_UPDATE_SUCCESS,
  }),
  taskUpdateError: () => ({
    type: actions.TASK_UPDATE_ERROR,
  }),

  checkTaskPass: (sectionId, day, countPass = 7) => ({
    type: actions.CHECK_PRESENCE_TASK_PASS,
    payload: { sectionId, day, countPass },
  }),
  checkTaskPassSuccess: (data) => ({
    type: actions.CHECK_PRESENCE_TASK_PASS_SUCCESS,
    payload: data,
  }),
  checkTaskPassFailure: () => ({
    type: actions.CHECK_PRESENCE_TASK_PASS_FAILURE,
  }),

  getSectionsGreenhouse: () => ({
    type: actions.SECTIONS_GREENHOUSE,
  }),

  getSectionsGreenhouseSuccess: (data) => ({
    type: actions.SECTIONS_GREENHOUSE_SUCCESS,
    payload: data,
  }),

  getSectionsGreenhouseFailure: () => ({
    type: actions.SECTIONS_GREENHOUSE_FAILURE,
  }),

  loadFromAgroInvest: (sectionId, currentTaskId = false) => ({
    type: actions.LOAD_FROM_AGROINVEST,
    payload: {
      sectionId,
      currentTaskId,
    },
  }),

  loadFromAgroInvestSuccess: (tasks, workers, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { tasks, workers, totalItems },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadLastFinishedTaskFromAgroInvest: (sectionId, rowNumber) => {
    return {
      type: actions.LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST,
      payload: { sectionId, rowNumber },
    };
  },

  loadLastFinishedTaskFromAgroInvestSuccess: (data) => ({
    type: actions.LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS,
    payload: { data },
  }),

  refreshTasks: () => ({
    type: actions.REFRESH_TASKS,
  }),

  selectTasks: (section, selection) => ({
    type: actions.SELECT_TASKS,
    payload: { section, selection },
  }),

  selectWorkers: (selection) => ({
    type: actions.SELECT_WORKERS,
    payload: { selection },
  }),

  enableTasks: () => {
    return {
      type: actions.ENABLE_TASKS,
      payload: true,
    };
  },

  disableTasks: () => {
    return {
      type: actions.DISABLE_TASKS,
      payload: false,
    };
  },

  tasksError: (error) => ({
    type: actions.TASKS_ERROR,
    payload: { error },
  }),

  selectDay: (day) => ({
    type: actions.SELECT_DAY,
    payload: day,
  }),

  setDetails: (name, value) => ({
    type: actions.SET_DETAILS,
    payload: {
      name,
      value,
    },
  }),

  setPage: (page) => ({
    type: actions.SET_PAGE,
    payload: page,
  }),

  setRows: (rowName, rowValue) => ({
    type: actions.SET_ROWS,
    payload: {
      rowName,
      rowValue,
    },
  }),

  setPass: (pass) => ({
    type: actions.SET_PASS,
    payload: {
      pass,
    },
  }),

  getSections: () => ({
    type: actions.GET_SECTIONS,
  }),

  getSectionsSuccess: (sections) => ({
    type: actions.GET_SECTIONS_SUCCESS,
    payload: sections,
  }),

  getSectionsFailure: (error) => ({
    type: actions.GET_SECTIONS_FAILURE,
    payload: error,
  }),
};
export default actions;
