const DOCUMENT = 'SETTING_';

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + 'LOAD_FROM_AGROINVEST',
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + 'LOAD_FROM_AGROINVEST_SUCCESS',
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + 'LOAD_FROM_AGROINVEST_ERROR',
  SAVE_INTO_AGROINVEST: DOCUMENT + 'SAVE_INTO_AGROINVEST',
  SAVE_INTO_AGROINVEST_SUCCESS: DOCUMENT + 'SAVE_INTO_AGROINVEST_SUCCESS',
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + 'SAVE_INTO_AGROINVEST_ERROR',

  ADD_TECHNICAL_WINDOW_SECTION: DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTION',
  ADD_TECHNICAL_WINDOW_SECTION_SUCCESS:
    DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTION_SUCCESS',
  ADD_TECHNICAL_WINDOW_SECTION_ERROR:
    DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTION_ERROR',

  ADD_TECHNICAL_WINDOW_SECTIONS: DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTIONS',
  ADD_TECHNICAL_WINDOW_SECTIONS_SUCCESS:
    DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTIONS_SUCCESS',
  ADD_TECHNICAL_WINDOW_SECTIONS_ERROR:
    DOCUMENT + 'ADD_TECHNICAL_WINDOW_SECTIONS_ERROR',

  REMOVE_TECHNICAL_WINDOW_SECTION: DOCUMENT + 'REMOVE_TECHNICAL_WINDOW_SECTION',
  REMOVE_TECHNICAL_WINDOW_SECTION_SUCCESS:
    DOCUMENT + 'REMOVE_TECHNICAL_WINDOW_SECTION_SUCCESS',
  REMOVE_TECHNICAL_WINDOW_SECTION_ERROR:
    DOCUMENT + 'REMOVE_TECHNICAL_WINDOW_SECTION_ERROR',

  ADD_TECHNICAL_WINDOW: DOCUMENT + 'ADD_TECHNICAL_WINDOW',
  ADD_TECHNICAL_WINDOW_SUCCESS: DOCUMENT + 'ADD_TECHNICAL_WINDOW_SUCCESS',
  ADD_TECHNICAL_WINDOW_ERROR: DOCUMENT + 'ADD_TECHNICAL_WINDOW_ERROR',

  CHANGE_TECHNICAL_WINDOW: DOCUMENT + 'CHANGE_TECHNICAL_WINDOW',
  CHANGE_TECHNICAL_WINDOW_SUCCESS: DOCUMENT + 'CHANGE_TECHNICAL_WINDOW_SUCCESS',
  CHANGE_TECHNICAL_WINDOW_ERROR: DOCUMENT + 'CHANGE_TECHNICAL_WINDOW_ERROR',

  REMOVE_TECHNICAL_WINDOW: DOCUMENT + 'REMOVE_TECHNICAL_WINDOW',
  REMOVE_TECHNICAL_WINDOW_SUCCESS: DOCUMENT + 'REMOVE_TECHNICAL_WINDOW_SUCCESS',
  REMOVE_TECHNICAL_WINDOW_ERROR: DOCUMENT + 'REMOVE_TECHNICAL_WINDOW_ERROR',

  LOAD_TECHNICAL_WINDOWS: DOCUMENT + 'LOAD_TECHNICAL_WINDOWS',
  LOAD_TECHNICAL_WINDOWS_SUCCESS: DOCUMENT + 'LOAD_TECHNICAL_WINDOWS_SUCCESS',
  LOAD_TECHNICAL_WINDOWS_ERROR: DOCUMENT + 'LOAD_TECHNICAL_WINDOWS_ERROR',

  LOAD_SECTIONS: DOCUMENT + 'LOAD_SECTIONS',
  LOAD_SECTIONS_SUCCESS: DOCUMENT + 'LOAD_SECTIONS_SUCCESS',
  LOAD_SECTIONS_ERROR: DOCUMENT + 'LOAD_SECTIONS_ERROR',

  loadFromAgroInvest: () => ({
    type: actions.LOAD_FROM_AGROINVEST,
  }),

  loadFromAgroInvestSuccess: (payload) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload,
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (settings) => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: {
      settings,
    },
  }),

  saveIntoAgroInvestSuccess: (settings) => ({
    type: actions.SAVE_INTO_AGROINVEST_SUCCESS,
    payload: {
      settings,
    },
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: {
      error,
    },
  }),

  addTechnicalWindowSection: (payload) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTION,
    payload,
  }),

  addTechnicalWindowSectionSuccess: (technicalWindow) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTION_SUCCESS,
    payload: {
      technicalWindow,
    },
  }),

  addTechnicalWindowSectionError: (error) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTION_ERROR,
    payload: {
      error,
    },
  }),

  addTechnicalWindowSections: (payload) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTIONS,
    payload,
  }),

  addTechnicalWindowSectionsSuccess: (technicalWindow) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTIONS_SUCCESS,
    payload: {
      technicalWindow,
    },
  }),

  addTechnicalWindowSectionsError: (error) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SECTIONS_ERROR,
    payload: {
      error,
    },
  }),

  removeTechnicalWindowSection: (payload) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW_SECTION,
    payload,
  }),

  removeTechnicalWindowSectionSuccess: (id) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW_SECTION_SUCCESS,
    payload: {
      id,
    },
  }),

  removeTechnicalWindowSectionError: (error) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW_SECTION_ERROR,
    payload: {
      error,
    },
  }),

  addTechnicalWindow: (technicalWindow) => ({
    type: actions.ADD_TECHNICAL_WINDOW,
    payload: {
      technicalWindow,
    },
  }),

  addTechnicalWindowSuccess: (technicalWindow) => ({
    type: actions.ADD_TECHNICAL_WINDOW_SUCCESS,
    payload: {
      technicalWindow,
    },
  }),

  addTechnicalWindowError: (error) => ({
    type: actions.ADD_TECHNICAL_WINDOW_ERROR,
    payload: {
      error,
    },
  }),

  changeTechnicalWindow: (payload) => ({
    type: actions.CHANGE_TECHNICAL_WINDOW,
    payload,
  }),

  changeTechnicalWindowSuccess: (payload) => ({
    type: actions.CHANGE_TECHNICAL_WINDOW_SUCCESS,
    payload,
  }),

  changeTechnicalWindowError: (error) => ({
    type: actions.CHANGE_TECHNICAL_WINDOW_ERROR,
    payload: {
      error,
    },
  }),

  removeTechnicalWindow: (id) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW,
    payload: {
      id,
    },
  }),

  removeTechnicalWindowSuccess: (id) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW_SUCCESS,
    payload: {
      id,
    },
  }),

  removeTechnicalWindowError: (error) => ({
    type: actions.REMOVE_TECHNICAL_WINDOW_ERROR,
    payload: {
      error,
    },
  }),

  loadSections: () => ({
    type: actions.LOAD_SECTIONS,
  }),

  loadSectionsSuccess: (payload) => ({
    type: actions.LOAD_SECTIONS_SUCCESS,
    payload,
  }),

  loadSectionsError: (error) => ({
    type: actions.LOAD_SECTIONS_ERROR,
    payload: {
      error,
    },
  }),

  loadTechnicalWindows: () => ({
    type: actions.LOAD_TECHNICAL_WINDOWS,
  }),

  loadTechnicalWindowsSuccess: (payload) => ({
    type: actions.LOAD_TECHNICAL_WINDOWS_SUCCESS,
    payload,
  }),

  loadTechnicalWindowsError: (error) => ({
    type: actions.LOAD_TECHNICAL_WINDOWS_ERROR,
    payload: {
      error,
    },
  }),
};
export default actions;
