const DOCUMENT = "TASK_";

const actions = {
  LOAD_FROM_AGROINVEST: DOCUMENT + "LOAD_FROM_AGROINVEST",
  LOAD_FROM_AGROINVEST_SUCCESS: DOCUMENT + "LOAD_FROM_AGROINVEST_SUCCESS",
  LOAD_FROM_AGROINVEST_ERROR: DOCUMENT + "LOAD_FROM_AGROINVEST_ERROR",

  LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST:
    DOCUMENT + "LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST",
  LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS:
    DOCUMENT + "LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS",

  SAVE_INTO_AGROINVEST: DOCUMENT + "SAVE_INTO_AGROINVEST",
  SAVE_INTO_AGROINVEST_ERROR: DOCUMENT + "SAVE_INTO_AGROINVEST_ERROR",

  ASSIGN_TASK_TO_WORKER: DOCUMENT + "ASSIGN_TASK_TO_WORKER",
  ASSIGN_TASK_TO_WORKER_SUCCESS: DOCUMENT + "ASSIGN_TASK_TO_WORKER_SUCCESS",

  SET_PAGINATION: DOCUMENT + "SET_PAGINATION",
  SET_FILTERS: DOCUMENT + "SET_FILTERS",
  RESET_FILTERS: DOCUMENT + "RESET_FILTERS",

  TOGGLE_HANDLE_MODAL: DOCUMENT + "TOGGLE_HANDLE_MODAL",
  MODAL_UPDATE: DOCUMENT + "MODAL_UPDATE",

  SYNC_1C: DOCUMENT + "SYNC_1C",
  SYNC_1C_SUCCESS: DOCUMENT + "SYNC_1C_SUCCESS",
  SYNC_1C_ERROR: DOCUMENT + "SYNC_1C_ERROR",

  SECTIONS_GREENHOUSE: DOCUMENT + "SECTIONS_GREENHOUSE",
  SECTIONS_GREENHOUSE_SUCCESS: DOCUMENT + "SECTIONS_GREENHOUSE_SUCCESS",
  SECTIONS_GREENHOUSE_FAILURE: DOCUMENT + "SECTIONS_GREENHOUSE_FAILURE",

  GET_WORKERS_GREENHOUSE: DOCUMENT + "GET_WORKERS_GREENHOUSE",
  GET_WORKERS_GREENHOUSE_SUCCESS: DOCUMENT + "GET_WORKERS_GREENHOUSE_SUCCESS",
  GET_WORKERS_GREENHOUSE_ERROR: DOCUMENT + "GET_WORKERS_GREENHOUSE_ERROR",

  PREPARE_DOWNLOAD: DOCUMENT + "PREPARE_DOWNLOAD",
  PREPARE_DOWNLOAD_SUCCESS: DOCUMENT + "PREPARE_DOWNLOAD_SUCCESS",

  getWorkers: () => ({
    type: actions.GET_WORKERS_GREENHOUSE,
  }),
  getWorkersSuccess: (data) => ({
    type: actions.GET_WORKERS_GREENHOUSE_SUCCESS,
    payload: data,
  }),
  getWorkersError: () => ({
    type: actions.GET_WORKERS_GREENHOUSE_ERROR,
  }),

  getSectionsGreenhouse: () => ({
    type: actions.SECTIONS_GREENHOUSE,
  }),
  getSectionsGreenhouseSuccess: (data) => ({
    type: actions.SECTIONS_GREENHOUSE_SUCCESS,
    payload: {
      data,
    },
  }),
  getSectionsGreenhouseFailure: () => ({
    type: actions.SECTIONS_GREENHOUSE_FAILURE,
  }),

  loadFromAgroInvest: () => {
    return { type: actions.LOAD_FROM_AGROINVEST };
  },

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadLastFinishedTaskFromAgroInvest: (sectionId, rowNumber) => {
    return {
      type: actions.LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST,
      payload: { sectionId, rowNumber },
    };
  },

  loadLastFinishedTaskFromAgroInvestSuccess: (data) => ({
    type: actions.LOAD_LAST_FINISHED_TASK_FROM_AGROINVEST_SUCCESS,
    payload: { data },
  }),

  saveIntoAgroInvest: (data, actionName = "update") => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  assignTaskToWorker: (taskId, workerId) => ({
    type: actions.ASSIGN_TASK_TO_WORKER,
    payload: { taskId, workerId },
  }),

  assignTaskToWorkerSuccess: (task) => ({
    type: actions.ASSIGN_TASK_TO_WORKER_SUCCESS,
    payload: { task },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => {
    return {
      type: actions.SET_PAGINATION,
      payload: { page: currentPage },
    };
  },

  setFilters: (filters, page = 1) => {
    return {
      type: actions.SET_FILTERS,
      payload: { filters, page },
    };
  },

  resetFilters: () => {
    return {
      type: actions.RESET_FILTERS,
    };
  },

  sync1C: (syncId, isPatch = true) => {
    return {
      type: actions.SYNC_1C,
      payload: { syncId, isPatch },
    };
  },

  sync1CSuccess: () => ({
    type: actions.SYNC_1C_SUCCESS,
  }),

  sync1CError: (error) => ({
    type: actions.SYNC_1C_ERROR,
    payload: { error },
  }),

  prepareDownload: () => ({
    type: actions.PREPARE_DOWNLOAD,
    payload: null,
  }),

  prepareDownloadSuccess: (data) => ({
    type: actions.PREPARE_DOWNLOAD_SUCCESS,
    payload: { data },
  }),
};
export default actions;
