const DOCUMENT = 'LIMIT_VALVE_';

const actions = {
  LOAD_FROM_AGROINVEST: `${DOCUMENT}LOAD_FROM_AGROINVEST`,
  LOAD_FROM_AGROINVEST_SUCCESS: `${DOCUMENT}LOAD_FROM_AGROINVEST_SUCCESS`,
  LOAD_FROM_AGROINVEST_ERROR: `${DOCUMENT}LOAD_FROM_AGROINVEST_ERROR`,

  SAVE_INTO_AGROINVEST: `${DOCUMENT}SAVE_INTO_AGROINVEST`,
  SAVE_INTO_AGROINVEST_ERROR: `${DOCUMENT}SAVE_INTO_AGROINVEST_ERROR`,

  SET_PAGINATION: `${DOCUMENT}SET_PAGINATION`,
  SET_FILTERS: `${DOCUMENT}SET_FILTERS`,

  TOGGLE_HANDLE_MODAL: `${DOCUMENT}TOGGLE_HANDLE_MODAL`,
  MODAL_UPDATE: `${DOCUMENT}MODAL_UPDATE`,

  loadFromAgroInvest: () => ({ type: actions.LOAD_FROM_AGROINVEST }),

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModal: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL,
    payload: { data },
  }),

  update: (data) => ({
    type: actions.MODAL_UPDATE,
    payload: { data },
  }),

  setPagination: (currentPage) => ({
    type: actions.SET_PAGINATION,
    payload: { page: currentPage },
  }),

  setFilters: (filters, page = 1) => ({
    type: actions.SET_FILTERS,
    payload: { filters, page },
  }),
};
export default actions;
