import actions from './actions';

const initState = {
  isLoading: false,
  errorMessage: false,
  valveLimits: [],
  page: 1,
  modalActive: false,
  totalItems: 0,
  itemsPerPage: 30,
  orderBy: {
    workDescription: 'asc',
    measurementDescription: 'desc',
  },
};

export default function reducer(state = initState, { type, payload }) {
  switch (type) {
    case actions.LOAD_FROM_AGROINVEST:
      return {
        ...state,
        isLoading: true,
        errorMessage: false,
        modalActive: false,
      };
    case actions.LOAD_FROM_AGROINVEST_SUCCESS:
      return {
        ...state,
        isLoading: false,
        valveLimits: payload.data,
        totalItems: payload.totalItems,
        errorMessage: false,
      };
    case actions.LOAD_FROM_AGROINVEST_ERROR:
      return {
        ...state,
        isLoading: false,
        valveLimits: [],
        errorMessage: 'There is a loading problem',
      };
    case actions.SET_PAGINATION:
      return {
        ...state,
        isLoading: true,
        page: payload.page,
      };
    case actions.SET_FILTERS:
      return {
        ...state,
        filters: payload.filters,
        isLoading: true,
        page: payload.page,
      };
    case actions.TOGGLE_HANDLE_MODAL:
      return {
        ...state,
        modalActive: !state.modalActive,
      };
    case actions.MODAL_UPDATE:
      return {
        ...state,
        greenouse: payload.data,
      };
    default:
      return state;
  }
}
