const DOCUMENT = 'WORKER_';

const actions = {
  LOAD_FROM_AGROINVEST: `${DOCUMENT}LOAD_FROM_AGROINVEST`,
  LOAD_FROM_AGROINVEST_SUCCESS: `${DOCUMENT}LOAD_FROM_AGROINVEST_SUCCESS`,
  LOAD_FROM_AGROINVEST_ERROR: `${DOCUMENT}LOAD_FROM_AGROINVEST_ERROR`,

  LOAD_AUTOCOMPLETE: `${DOCUMENT}LOAD_AUTOCOMPLETE`,
  LOAD_AUTOCOMPLETE_SUCCESS: `${DOCUMENT}LOAD_AUTOCOMPLETE_SUCCESS`,
  LOAD_AUTOCOMPLETE_ERROR: `${DOCUMENT}LOAD_AUTOCOMPLETE_ERROR`,

  LOAD_1C: `${DOCUMENT}LOAD_1C`,
  LOAD_1C_SUCCESS: `${DOCUMENT}LOAD_1C_SUCCESS`,
  LOAD_1C_ERROR: `${DOCUMENT}LOAD_1C_ERROR`,

  LOAD_CAMUNDA_1C: `${DOCUMENT}LOAD_CAMUNDA_1C`,
  LOAD_CAMUNDA_1C_SUCCESS: `${DOCUMENT}LOAD_CAMUNDA_1C_SUCCESS`,
  LOAD_CAMUNDA_1C_ERROR: `${DOCUMENT}LOAD_CAMUNDA_1C_ERROR`,

  SWITCH_NFC: `${DOCUMENT}SWITCH_NFC`,
  SWITCH_NFC_SUCCESS: `${DOCUMENT}SWITCH_NFC_SUCCESS`,
  SWITCH_NFC_ERROR: `${DOCUMENT}SWITCH_NFC_ERROR`,

  ASSIGN_TASKS: `${DOCUMENT}ASSIGN_TASKS`,
  ASSIGN_TASKS_SUCCESS: `${DOCUMENT}ASSIGN_TASKS_SUCCESS`,
  ASSIGN_TASKS_ERROR: `${DOCUMENT}ASSIGN_TASKS_ERROR`,

  TROLLEY_UNBIND: `${DOCUMENT}TROLLEY_UNBIND`,
  TROLLEY_UNBIND_SUCCESS: `${DOCUMENT}TROLLEY_UNBIND_SUCCESS`,
  TROLLEY_UNBIND_ERROR: `${DOCUMENT}TROLLEY_UNBIND_ERROR`,

  SET_PAGINATION: `${DOCUMENT}SET_PAGINATION`,
  SET_FILTERS: `${DOCUMENT}SET_FILTERS`,

  SET_AUTOCOMPLETE: `${DOCUMENT}SET_AUTOCOMPLETE`,

  TOGGLE_HANDLE_MODAL_CACHE: `${DOCUMENT}TOGGLE_HANDLE_MODAL_CACHE`,

  TOGGLE_HANDLE_MODAL_LOAD: `${DOCUMENT}TOGGLE_HANDLE_MODAL_LOAD`,
  TOGGLE_HANDLE_MODAL_LOAD_SUCCESS: `${DOCUMENT}TOGGLE_HANDLE_MODAL_LOAD_SUCCESS`,
  TOGGLE_HANDLE_MODAL_LOAD_ERROR: `${DOCUMENT}TOGGLE_HANDLE_MODAL_LOAD_ERROR`,

  MODAL_UPDATE: `${DOCUMENT}MODAL_UPDATE`,

  TOGGLE_TIMELINE: `${DOCUMENT}TOGGLE_TIMELINE`,
  LOAD_TIMELINE_SUCCESS: `${DOCUMENT}LOAD_TIMELINE_SUCCESS`,
  LOAD_TIMELINE_ERROR: `${DOCUMENT}LOAD_TIMELINE_ERROR`,
  SET_TIMELINE_DAY: `${DOCUMENT}SET_TIMELINE_DAY`,

  TOGGLE_ADD_WORKER: `${DOCUMENT}TOGGLE_ADD_WORKER`,

  SAVE_INTO_AGROINVEST: `${DOCUMENT}SAVE_INTO_AGROINVEST`,
  SAVE_INTO_AGROINVEST_SUCCESS: `${DOCUMENT}SAVE_INTO_AGROINVEST_SUCCESS`,
  SAVE_INTO_AGROINVEST_ERROR: `${DOCUMENT}SAVE_INTO_AGROINVEST_ERROR`,

  TOGGLE_1C_DATA: `${DOCUMENT}TOGGLE_1C_DATA`,
  LOAD_1C_DATA: `${DOCUMENT}LOAD_1C_DATA`,
  LOAD_1C_DATA_SUCCESS: `${DOCUMENT}LOAD_1C_DATA_SUCCESS`,
  LOAD_1C_DATA_ERROR: `${DOCUMENT}LOAD_1C_DATA_ERROR`,

  LOAD_CACHE: `${DOCUMENT}LOAD_CACHE`,
  LOAD_CACHE_SUCCESS: `${DOCUMENT}LOAD_CACHE_SUCCESS`,
  LOAD_CACHE_ERROR: `${DOCUMENT}LOAD_CACHE_ERROR`,

  MAKE_SCREENSHOT: `${DOCUMENT}MAKE_SCREENSHOT`,
  MAKE_SCREENSHOT_SUCCESS: `${DOCUMENT}MAKE_SCREENSHOT_SUCCESS`,
  MAKE_SCREENSHOT_ERROR: `${DOCUMENT}MAKE_SCREENSHOT_ERROR`,

  UPLOAD_BACKUP: `${DOCUMENT}UPLOAD_BACKUP`,
  UPLOAD_BACKUP_SUCCESS: `${DOCUMENT}UPLOAD_BACKUP_SUCCESS`,
  UPLOAD_BACKUP_ERROR: `${DOCUMENT}UPLOAD_BACKUP_ERROR`,

  SIGN_OUT: `${DOCUMENT}SIGN_OUT`,
  SIGN_OUT_SUCCESS: `${DOCUMENT}SIGN_OUT_SUCCESS`,
  SIGN_OUT_ERROR: `${DOCUMENT}SIGN_OUT_ERROR`,

  CHANGE_WORKER_RATING: `${DOCUMENT}CHANGE_WORKER_RATING`,

  ADD_RATING_USER: `${DOCUMENT}ADD_RATING_USER`,

  ADD_WORKER_CHECK_PRIORITY: `${DOCUMENT}ADD_WORKER_CHECK_PRIORITY`,
  CHANGE_WORKER_CHECK_PRIORITY: `${DOCUMENT}CHANGE_WORKER_CHECK_PRIORITY`,

  SECTIONS_GREENHOUSE: `${DOCUMENT}SECTIONS_GREENHOUSE`,
  SECTIONS_GREENHOUSE_SUCCESS: `${DOCUMENT}SECTIONS_GREENHOUSE_SUCCESS`,
  SECTIONS_GREENHOUSE_ERROR: `${DOCUMENT}SECTIONS_GREENHOUSE_ERROR`,

  getSections: () => ({
    type: actions.SECTIONS_GREENHOUSE,
  }),
  getSectionsSuccess: (data) => ({
    type: actions.SECTIONS_GREENHOUSE_SUCCESS,
    payload: data,
  }),
  getSectionsError: () => ({
    type: actions.SECTIONS_GREENHOUSE_ERROR,
  }),

  addRating: (data) => ({
    type: actions.ADD_RATING_USER,
    payload: data,
  }),

  changeRating: (data) => ({
    type: actions.CHANGE_WORKER_RATING,
    payload: data,
  }),

  addCheckPriority: (data) => ({
    type: actions.ADD_WORKER_CHECK_PRIORITY,
    payload: data,
  }),

  changeCheckPriority: (data) => ({
    type: actions.CHANGE_WORKER_CHECK_PRIORITY,
    payload: data,
  }),

  loadFromAgroInvest: () => ({ type: actions.LOAD_FROM_AGROINVEST }),

  loadFromAgroInvestSuccess: (data, totalItems) => ({
    type: actions.LOAD_FROM_AGROINVEST_SUCCESS,
    payload: { data, totalItems },
  }),

  loadFromAgroInvestError: (error) => ({
    type: actions.LOAD_FROM_AGROINVEST_ERROR,
    payload: { error },
  }),

  loadAutocomplete: () => ({ type: actions.LOAD_AUTOCOMPLETE }),

  loadAutocompleteSuccess: (data) => ({
    type: actions.LOAD_AUTOCOMPLETE_SUCCESS,
    payload: { data },
  }),

  loadAutocompleteError: (error) => ({
    type: actions.LOAD_AUTOCOMPLETE_ERROR,
    payload: { error },
  }),

  load1C: (workerId, greenhouseId = null) => ({
    type: actions.LOAD_1C,
    payload: { workerId, greenhouseId },
  }),

  load1CSuccess: (data) => ({
    type: actions.LOAD_1C_SUCCESS,
    payload: { data },
  }),

  load1CError: (error) => ({
    type: actions.LOAD_1C_ERROR,
    payload: { error },
  }),

  loadCamunda1C: (workerId, greenhouseId = null) => ({
    type: actions.LOAD_CAMUNDA_1C,
    payload: { workerId, greenhouseId },
  }),

  loadCamunda1CSuccess: (data) => ({
    type: actions.LOAD_CAMUNDA_1C_SUCCESS,
    payload: { data },
  }),

  loadCamunda1CError: (error) => ({
    type: actions.LOAD_CAMUNDA_1C_ERROR,
    payload: { error },
  }),

  switchNfc: (worker) => ({
    type: actions.SWITCH_NFC,
    payload: { worker },
  }),

  switchNfcSuccess: (data) => ({
    type: actions.SWITCH_NFC_SUCCESS,
    payload: { data },
  }),

  switchNfcError: (error) => ({
    type: actions.SWITCH_NFC_ERROR,
    payload: { error },
  }),

  assignTasks: (workerId) => ({
    type: actions.ASSIGN_TASKS,
    payload: { workerId },
  }),

  assignTasksSuccess: (data) => ({
    type: actions.ASSIGN_TASKS_SUCCESS,
    payload: { data },
  }),

  assignTasksError: (error) => ({
    type: actions.ASSIGN_TASKS_ERROR,
    payload: { error },
  }),

  trolleyUnbind: (worker) => ({
    type: actions.TROLLEY_UNBIND,
    payload: { worker },
  }),

  trolleyUnbindSuccess: (data) => ({
    type: actions.TROLLEY_UNBIND_SUCCESS,
    payload: { data },
  }),

  trolleyUnbindError: (error) => ({
    type: actions.TROLLEY_UNBIND_ERROR,
    payload: { error },
  }),

  saveIntoAgroInvest: (data, actionName = 'update') => ({
    type: actions.SAVE_INTO_AGROINVEST,
    payload: { data, actionName },
  }),

  saveIntoAgroInvestSuccess: (payload) => ({
    type: actions.SAVE_INTO_AGROINVEST_SUCCESS,
    payload,
  }),

  saveIntoAgroInvestError: (error) => ({
    type: actions.SAVE_INTO_AGROINVEST_ERROR,
    payload: { error },
  }),

  toggleModalLoad: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL_LOAD,
    payload: data,
  }),

  toggleModalLoadSuccess: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL_LOAD_SUCCESS,
    payload: data,
  }),

  toggleModalLoadError: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL_LOAD_ERROR,
    payload: data,
  }),

  toggleModalCache: (data = null) => ({
    type: actions.TOGGLE_HANDLE_MODAL_CACHE,
    payload: { data },
  }),

  toggleTimeline: (data = null) => ({
    type: actions.TOGGLE_TIMELINE,
    payload: { data },
  }),

  toggleAddWorker: (code = null) => ({
    type: actions.TOGGLE_ADD_WORKER,
    payload: { code },
  }),

  loadTimelineSuccess: (data) => ({
    type: actions.LOAD_TIMELINE_SUCCESS,
    payload: { data },
  }),

  loadTimelineError: (error) => ({
    type: actions.LOAD_TIMELINE_ERROR,
    payload: { error },
  }),

  setTimelineDay: (day) => ({
    type: actions.SET_TIMELINE_DAY,
    payload: { day },
  }),

  update: (name, value) => ({
    type: actions.MODAL_UPDATE,
    payload: { name, value },
  }),

  setPagination: (currentPage) => ({
    type: actions.SET_PAGINATION,
    payload: { page: currentPage },
  }),

  setFilters: (filters, page = 1) => ({
    type: actions.SET_FILTERS,
    payload: { filters, page },
  }),

  setAutocomplete: (query) => ({
    type: actions.SET_AUTOCOMPLETE,
    payload: query,
  }),

  toggle1CData: () => ({
    type: actions.TOGGLE_1C_DATA,
  }),

  load1CData: (path) => ({
    type: actions.LOAD_1C_DATA,
    payload: { path },
  }),

  load1CDataSuccess: (data) => ({
    type: actions.LOAD_1C_DATA_SUCCESS,
    payload: { data },
  }),

  load1CDataError: (error) => ({
    type: actions.LOAD_1C_DATA_ERROR,
    payload: { error },
  }),

  loadCache: (path) => ({
    type: actions.LOAD_CACHE,
    payload: { path },
  }),

  loadCacheSuccess: (data) => ({
    type: actions.LOAD_CACHE_SUCCESS,
    payload: { data },
  }),

  loadCacheError: (error) => ({
    type: actions.LOAD_CACHE_ERROR,
    payload: { error },
  }),

  makeScreenshot: (workerId) => ({
    type: actions.MAKE_SCREENSHOT,
    payload: { workerId },
  }),

  makeScreenshotSuccess: (data) => ({
    type: actions.MAKE_SCREENSHOT_SUCCESS,
    payload: { data },
  }),

  makeScreenshotError: (error) => ({
    type: actions.MAKE_SCREENSHOT_ERROR,
    payload: { error },
  }),

  uploadBackup: (workerId) => ({
    type: actions.UPLOAD_BACKUP,
    payload: { workerId },
  }),

  uploadBackupSuccess: (data) => ({
    type: actions.UPLOAD_BACKUP_SUCCESS,
    payload: { data },
  }),

  uploadBackupError: (error) => ({
    type: actions.UPLOAD_BACKUP_ERROR,
    payload: { error },
  }),

  signOut: (workerId) => ({
    type: actions.SIGN_OUT,
    payload: { workerId },
  }),

  signOutSuccess: (data) => ({
    type: actions.SIGN_OUT_SUCCESS,
    payload: { data },
  }),

  signOutError: (error) => ({
    type: actions.SIGN_OUT_ERROR,
    payload: { error },
  }),
};
export default actions;
