const _ = require('lodash');

const {Client} = require("pg");

const greenhouses = {
  1: {
    id: '1abec4c4-0d22-11e6-942a-005056ac0e86',
  },
  2: {
    id: '10a6ab25-0d22-11e6-942a-005056ac0e86',
  },
  3: {
    id: '230e8905-ff37-11e6-80fe-40a8f0260032',
  },
  4: {
    id: '2b8e7299-ff37-11e6-80fe-40a8f0260032',
  },
  5: {
    id: 'ab4581b0-9f8b-11e8-a2d6-005056a3e110',
  },
  6: {
    id: '7698def5-d66c-11e7-8110-40a8f0260033',
  },
  7: {
    id: '880954d5-d66c-11e7-8110-40a8f0260033',
  },
  8: {
    id: '9890c293-da19-11e9-a2f2-005056a3e110',
  },
  9: {
    id: 'a5ae0818-da19-11e9-a2f2-005056a3e110',
  },
};

const greenhouseIndex = process.argv[2] || 0;

const greenhouse = greenhouses[greenhouseIndex] || null;

if(!greenhouse) {
  console.log('NO GREENHOUSE');

  return;
}

const clearQualityMiniPlans = async (greenhouse) => {
  const miniPlans = await client.query(`SELECT * FROM mini_plan WHERE greenhouse_id='${greenhouse.id}' and module='quality' and is_deleted=false`).then(res => res.rows);

  if (_.isEmpty(miniPlans)) {
    console.log('NO MINI PLANS');

    return false;
  }

  for (const miniPlan of miniPlans) {
    await client.query(`DELETE FROM row_range WHERE mini_plan_id='${miniPlan.id}'`).then(res => res.rows);
  };

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

clearQualityMiniPlans(greenhouse).then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});

