const _ = require('lodash');
const {v4: uuidv4} = require("uuid");
const getUuid = require('uuid-by-string');
const moment = require('moment');
const { keys, isEmpty } = require('lodash');

const {Client} = require("pg");

const fullCycle = true;
const limit = 1000;

const processCodes = async () => {
  const metricsTotal = await client.query(`SELECT count(*) FROM metric WHERE true`)
    .then(res => res.rows[0].count);

	let skip = 0;

	while(metricsTotal > 0 && skip < metricsTotal) {
	  const metrics = await client.query(`SELECT * FROM metric WHERE true ORDER BY created_at DESC LIMIT ${limit} OFFSET ${skip}`)
      .then(res => res.rows);

    if (_.isEmpty(metrics)) {
      throw 'NO METRICS';
    }

    for(const metric of metrics) {
      const greenhouseId = await client.query(`SELECT greenhouse_id from task where id='${metric.task_id}'`)
        .then(res => res.rows)
        .then(rows => rows[0])
        .then(task => task.greenhouse_id);

      const code = {
        id: metric.code,
        code: metric.code,
        collectableId: metric.parent_id,
        plantId: metric.plant_id,
        greenhouseId,
        createdAt: moment(metric.created_at).format(),
        updatedAt: moment(metric.updated_at).format(),
      }

      const query = `INSERT INTO code_metric 
      (id, code, collectable_id, plant_id, greenhouse_id, created_at, updated_at) 
      VALUES 
      ('${code.id}', '${code.code}', '${code.collectableId}', 
      '${code.plantId}', '${code.greenhouseId}', '${code.createdAt}', '${code.updatedAt}') 
      ON CONFLICT (id) DO NOTHING`;	  

      try {
        await client.query(query);
        
        console.log(`CODE INSERT: [${code.code}] OK`);
      } catch(e) {
        if(e.routine !== '_bt_check_unique') {
          console.error(e, code);
          return false;
        }
      }
    }

		skip += limit;

    if(!fullCycle) {
      break;
    }
	}

  console.log(metricsTotal);

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

processCodes().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
