#!/bin/bash

set -e

echo "Midnight Job started: $(date)"

TIMESTAMP=$(date +%Y-%m-%d-%H-%M)

LOG_FILE="/home/admmup/cron/midnight-$TIMESTAMP.log"

shopt -s expand_aliases
source /home/admmup/.bash_aliases;

echo "COUNTLY ROUTINE start" >>  $LOG_FILE;

cd /home/admmup/master/countly;
ddown  >> $LOG_FILE 2>&1; 
dup -d >> $LOG_FILE 2>&1; 

echo "RABBIT ROUTINE start" >>  $LOG_FILE;

cd /home/admmup/master/rabbitmq;

ddown  >> $LOG_FILE 2>&1;
dup -d >> $LOG_FILE 2>&1;

sleep 30;

docker exec agro-rabbit rabbitmqctl add_user AGROINVEST MUP12pum >> $LOG_FILE; 
sleep 10;

docker exec agro-rabbit rabbitmqctl set_user_tags AGROINVEST administrator >> $LOG_FILE;
sleep 10;

docker exec agro-rabbit rabbitmqctl set_permissions -p / AGROINVEST "^AGROINVEST-.*" ".*" ".*" >> $LOG_FILE;

echo "CAMUNDA restart" >>  $LOG_FILE;

cd /home/admmup/master/camunda; 
ddown >> $LOG_FILE 2>&1; 
sudo rm -rf data >> $LOG_FILE; 
dup -d >> $LOG_FILE 2>&1; 

cd /home/admmup/master/sync-camunda;  
ddown >> $LOG_FILE 2>&1; 
sudo rm -rf data >> $LOG_FILE; 
dup -d >> $LOG_FILE 2>&1; 

cd /home/admmup/master/backend;
ddown  >> $LOG_FILE 2>&1;
dup -d >> $LOG_FILE 2>&1;

sleep 60; 

cd /home/admmup/master/camunda/scripts; 
node drop.js >> $LOG_FILE; 
node deploy.js >> $LOG_FILE;
node pause.js >> $LOG_FILE; 

cd /home/admmup/master/sync-camunda/scripts; 
node drop.js >> $LOG_FILE; 
node deploy.js >> $LOG_FILE;
node pause.js >> $LOG_FILE;

echo "Midnight Job finished: $(date)"
