#!/bin/bash

set -e

echo "Night Job started: $(date)"

TIMESTAMP=$(date +%Y-%m-%d-%H-%M)

LOG_FILE="/home/admmup/cron/night-$TIMESTAMP.log"

echo "SECTION start" > $LOG_FILE;

cd /home/admmup/master/backend/scripts/section;
node index.js >> $LOG_FILE;

echo "STRUCTURE start" >> $LOG_FILE;

cd /home/admmup/master/backend/scripts/structure;
node index.js >> $LOG_FILE;

echo "PLAN TEMPLATES start" >> $LOG_FILE;

cd /home/admmup/master/backend/scripts/planTemplates;
bash templates.sh >> $LOG_FILE;

echo "PLANNING start" >> $LOG_FILE;

cd /home/admmup/master/backend/scripts/planning;
bash planning.sh >> $LOG_FILE;

echo "TEMPLATES start" >> $LOG_FILE;

cd /home/admmup/master/backend/scripts/templates;
bash templates.sh >> $LOG_FILE;

echo "GENERATE start" >> $LOG_FILE;

cd /home/admmup/master/backend/scripts/tasks;
bash generate.sh >> $LOG_FILE;

# echo "CODES start" >> $LOG_FILE;

# cd /home/admmup/master/backend/scripts/codes;
# node index.js >> $LOG_FILE;

df -h / >> $LOG_FILE;

echo "Night Job finished: $(date)"
