const _ = require('lodash');
const {v4: uuidv4} = require("uuid");
const getUuid = require('uuid-by-string');
const moment = require('moment');
const axios = require('axios');
const fs = require('fs');

const {Client} = require("pg");

const readFromUrl = true;

const url1C = "http://srvapp1cmleto03.avilon-nymm.ru/agroholding/odata/standard.odata/";
const entity1C = "Catalog_Должности";

const instance = axios.create({
  baseURL: `${url1C}`,
  timeout: 60000,
  headers: {
    'Content-Type': 'application/json',
  }
});

const grabPosition = async () => {

  let positions = [];

  if(readFromUrl) {
    positions = await instance.get(encodeURI(`${entity1C}?$format=json&$orderby=Ref_Key asc`))
      .then(response => response.data.value)
      .then(positions => {
        fs.writeFileSync(`./positions.json`, JSON.stringify(positions, null, 2));

        return positions;
      })
      .catch(err => {
        console.error('GET POSITION [FAIL]', err);

        throw err;
      });    
  } else {
    const rawdata = fs.readFileSync(`./positions.json`);

    positions = JSON.parse(rawdata);
  }

  console.log(`GET POSITIONS [OK] SIZE [${_.size(positions)}]`);

  for(const position of positions) {

    const positionEntity = [
      position.Ref_Key, // id
      position.Description, // name
      position, // raw
      moment().format(), // created_at
      moment().format(), // updated_at
    ];

    const count = await client.query(`SELECT count(*) FROM position WHERE id='${position.Ref_Key}'`).then(data => data.rows).then(rows => rows[0]).then(row => row.count).then(count => parseInt(count));

    if(count <= 0) {
      const query = 'INSERT INTO position (id, name, raw, created_at, updated_at) VALUES ($1, $2, $3, $4, $5)';	  

      await client.query(query, positionEntity);

      console.log(`POSITION INSERT: [${position.Ref_Key}] [${position.Description}] OK`);
    }
  }

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

grabPosition().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
