const _ = require('lodash');
const moment = require('moment');
const axios = require('axios');

const {Client} = require("pg");

const dotenv = require('dotenv');
dotenv.config();

const instance = axios.create({
  baseURL: `${process.env.CACHE_URL}`,
  timeout: 60000,
  headers: {
    'Content-Type': 'application/json',
  }
});

const processRatings = async () => {
  const workers = await client.query(`SELECT id, name, code, greenhouse_id FROM worker WHERE is_active=true ORDER BY name`).then(data => data.rows);

  let count = 0;
  const total = workers.length;

  for(const worker of workers) {
    count += 1 ;

//console.log(`${process.env.CACHE_URL}/avg-rating/${worker.id}/1`);
//	  break;

    await instance.get(`/avg-rating/${worker.id}/1`)
      .then(response => { 
        console.log(`PROCESS AVG-RATING [${count}/${total}] [${worker.name}/${worker.code}] [${response.status} ${response.statusText}]`, response.data);

        return true;
      });

    if(worker.greenhouse_id === 'ab4581b0-9f8b-11e8-a2d6-005056a3e110') {
      await instance.get(`/set-rating/${worker.id}/0`)
        .then(response => { 
          console.log(`PROCESS SET-RATING [${count}/${total}] [${worker.name}/${worker.code}] [${response.status} ${response.statusText}]`, response.data);

          return true;
        });
    }
  }

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

processRatings().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
