const _ = require('lodash');
const {v4: uuidv4} = require("uuid");
const getUuid = require('uuid-by-string');
const moment = require('moment');
const axios = require('axios');
const fs = require('fs');

const {Client} = require("pg");

const readFromUrl = true;

const url1C = "http://srvapp1cmleto03.avilon-nymm.ru/agroholding/odata/standard.odata/";
const entity1C = "Catalog_ВидыРаботСотрудников";

const instance = axios.create({
  baseURL: `${url1C}`,
  timeout: 60000,
  headers: {
    'Content-Type': 'application/json',
  }
});

const grabSection = async () => {

  let sections = [];

  if(readFromUrl) {
    sections = await instance.get(encodeURI(`${entity1C}?$format=json&$orderby=Ref_Key asc`))
      .then(response => response.data.value)
      .then(sections => {
        fs.writeFileSync(`./sections.json`, JSON.stringify(sections, null, 2));

        return sections;
      })
      .catch(err => {
        console.error('GET SECTION [FAIL]', err);

        throw err;
      });    
  } else {
    const rawdata = fs.readFileSync(`./sections.json`);

    sections = JSON.parse(rawdata);
  }

  console.log(`GET SECTIONS [OK] SIZE [${_.size(sections)}]`);

  for(const section of sections) {

    const count = await client.query(`SELECT count(*) FROM section WHERE id='${section.Ref_Key}'`).then(data => data.rows).then(rows => rows[0]).then(row => row.count).then(count => parseInt(count));

    if(count <= 0) {
    const sectionEntity = [
	          section.Ref_Key, // id
	          section.Description, // name
	          section, // raw
	          moment().format(), // created_at
	          moment().format(), // updated_at
	          section.Parent_Key != '00000000-0000-0000-0000-000000000000' && section.Parent_Key || null, // parent_id
	          section.Description, // description
	          true, // require_finish
	          section.Parent_Key != '00000000-0000-0000-0000-000000000000' && section.Parent_Key || null, // raw_parent_id
	          false, // is_active
	          false, // is_harvesting
	          false, // is_phenology
	          false, // is_guarding
	          false, // is_spraying
	          'regular', // module
	          false, // is_quality
	          //true, // is_regular
    ];
      const query = 'INSERT INTO section (id, name, raw, created_at, updated_at, parent_id, description, require_finish, raw_parent_id, is_active, is_harvesting, is_phenology, is_guarding, is_spraying, module, is_quality) VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14, $15, $16)';	  

      try {

      await client.query(query, sectionEntity);

       console.log(`SECTION INSERT: [${section.Ref_Key}] [${section.Code}] [${section.Description}] OK`);

      } catch(e) {
        console.log(`SECTION INSERT: [${section.Ref_Key}] [${section.Code}] [${section.Description}] ERROR`);

	console.error(e);
      }
    } else {
    const sectionEntity = [
	          section.Ref_Key, // id
	          section.Description, // name
	          section, // raw
	        ];
	    
      const query = 'UPDATE section SET name=$2, raw=$3 WHERE id=$1';
      await client.query(query, sectionEntity);

      console.log(`SECTION UPDATE: [${section.Ref_Key}] [${section.Code}] [${section.Description}] OK`);
    }
  }

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

grabSection().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
