const _ = require('lodash');
const {v4: uuidv4} = require("uuid");
const getUuid = require('uuid-by-string');
const moment = require('moment');
const axios = require('axios');
const fs = require('fs');

const {Client} = require("pg");

const readFromUrl = true;

const url1C = "http://srvapp1cmleto03.avilon-nymm.ru/agroholding/odata/standard.odata/";
const entity1C = "Document_актТехнологическаяКарта";

const instance = axios.create({
  baseURL: `${url1C}`,
  timeout: 60000,
  headers: {
    'Content-Type': 'application/json',
  }
});

const grabData = async () => {

  let techcards = [];

  if(readFromUrl) {
    techcards = await instance.get(encodeURI(`${entity1C}?$format=json&$orderby=Ref_Key asc`))
      .then(response => response.data.value)
      .then(techcards => {
        fs.writeFileSync(`./techcards.json`, JSON.stringify(techcards, null, 2));

        return techcards;
      })
      .catch(err => {
        console.error('GET TECHCARDS [FAIL]', err);

        throw err;
      });    
  } else {
    const rawdata = fs.readFileSync(`./techcards.json`);

    techcards = JSON.parse(rawdata);
  }

  console.log(`GET TECHCARDS [OK] SIZE [${_.size(techcards)}]`);

	for(const techcard of techcards) {
		fs.writeFileSync(`./techcard-${techcard.Ref_Key}.json`, JSON.stringify(techcard, null, 2));
	}

  return true;
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

grabData().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
