const _ = require('lodash');
const {v4: uuidv4} = require("uuid");
const getUuid = require('uuid-by-string');
const moment = require('moment');
const { keys, isEmpty } = require('lodash');

const {Client} = require("pg");

const harvesting = [
	 'e85c18c5-a7f1-11eb-b8b3-00505696f325', // Сбор короткоплодных огурцов (110-120 гр) - Бьёрн
	         '819b4af7-d646-11ea-b893-00505696ff79', // Сбор корнишон (40-60 гр) огурца
	         'fda2a0d1-5326-11e6-80e2-40a8f0260033', // Сбор короткоплодных огурцов (80-100 г)
	         'cb846c08-5326-11e6-80e2-40a8f0260033', // Сбор длинноплодных огурцов (310 - 330 гр)
	         '5c85b2ef-d640-11ea-b893-00505696ff79', // Сбор среднеплодного томата штучно
	         '8738c80f-c561-11e8-a2d8-005056a3e110', // Сбор коктейльного томата ветка
	         '6dc31a42-c561-11e8-a2d8-005056a3e110', // Сбор коктейльного томата россыпь + удаление кисти
	         'fb2a2d1f-21b8-11e6-80dc-40a8f0260033', // Сбор томатов
	         'e0dfb0b5-5326-11e6-80e2-40a8f0260033', // Сбор среднеплодных огурцов (200 - 220 гр)
	         'c2fe6b22-a9a8-11eb-b8b5-00505696f325', // Сбор томатов Черри Виноградный сингл
	         'a915e2e1-3edf-11e6-80e0-40a8f0260033', // Сбор томатов черри (ветка, круглый)
	         'a07ce8d2-a9a8-11eb-b8b5-00505696f325', // Сбор томатов Черри Виноградный ветка
	         '4f9b1813-c561-11e8-a2d8-005056a3e110', // Сбор томатов черри россыпь + удаление кисти Свитель
 'f5be5cee-1155-11ec-b8e2-005056962066', // Сбор томатов черри россыпь + удаление кисти Тамаджина, Вилакс
];


const greenhouses = {
  1: {
    id: '1abec4c4-0d22-11e6-942a-005056ac0e86',
  },
  2: {
    id: '10a6ab25-0d22-11e6-942a-005056ac0e86',
  },
  3: {
    id: '230e8905-ff37-11e6-80fe-40a8f0260032',
  },
  4: {
    id: '2b8e7299-ff37-11e6-80fe-40a8f0260032',
  },
  5: {
    id: 'ab4581b0-9f8b-11e8-a2d6-005056a3e110',
  },
  6: {
    id: '7698def5-d66c-11e7-8110-40a8f0260033',
  },
  7: {
    id: '880954d5-d66c-11e7-8110-40a8f0260033',
  },
  8: {
    id: '9890c293-da19-11e9-a2f2-005056a3e110',
  },
  9: {
    id: 'a5ae0818-da19-11e9-a2f2-005056a3e110',
  },
};

const greenhouseIndex = process.argv[2] || 0;

const greenhouse = greenhouses[greenhouseIndex] || null;

if(!greenhouse) {
  console.log('NO GREENHOUSE');

  return;
}

const makeTemplates = async () => {
  const templates = await client.query(`SELECT * FROM plan_template WHERE greenhouse_id='${greenhouse.id}'`)
    .then(res => res.rows);

  if (_.isEmpty(templates)) {
    throw 'NO TEMPLATES';
  }

  const rows = await client.query(`SELECT id, row_number FROM row WHERE greenhouse_id='${greenhouse.id}'`)
    .then(res => res.rows);

  const promises = [];
  let count = 0;
  
  _.each(rows, (row) => {
    const rowId = row.id;
    const rowNumber = row.row_number;

    if (rowId) {
      count += 1; 
      promises.push(client.query(`SELECT * FROM plan WHERE row_id='${rowId}' AND plan_template_id IS NULL`)
        .then(res => res.rows)
        .then(async plans => {
          for(const plan of plans) {
            let filtered = [];

            if(_.includes(harvesting, plan.section_id)) {
              filtered = _.filter(templates, t => _.endsWith(t.name, ' СБОР'));
            } else {
              filtered = _.filter(templates, t => !_.endsWith(t.name, ' СБОР'));
            }

            for(const template of filtered) {
              const r = new RegExp('^(' 
                + template.template['ПараметрыВыполненияРабот'][0]['РегулярноеВыражение'] 
                + ')$');

              if (r.test(rowNumber.toString())) {
                console.log(`UPDATING TEMPLATE [${rowNumber}] [${plan.section_id}] [${plan.pass}]: [${template.name}]`);

                await client.query(`UPDATE plan SET plan_template_id='${template.id}' WHERE id='${plan.id}'`);
              }              
            }          
          }
        }));
    } else {
      throw "MISSING ROW";
    }

    return true;
  });

  return await Promise.all(promises).then(a => console.log(_.size(a), count)).then(() => true);
};

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

makeTemplates().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});
