const _ = require('lodash');
const moment = require('moment');
const fs = require('fs');
const {Client} = require("pg");
const axios = require('axios');

const url1C =
  'http://srvapp1cmleto03.avilon-nymm.ru/agroholding/odata/standard.odata/';

const instance = axios.create({
  baseURL: `${url1C}`,
  timeout: 60000,
  headers: {
    'Content-Type': 'application/json',
  },
});

const limit = 1000;

const init = async () => {
  let counter = 0;

  const query = "w.birth_date IS NULL and w.is_active=true";

  const totalCount = await client.query(`select count(*) from worker w where ${query}`).then((r) => r.rows[0].count);

  let skip = 0;
  let processed = 0;

  while(skip < totalCount) {
    const workers = await client.query(`SELECT w.id, w.name, w.code FROM worker w WHERE ${query} LIMIT ${limit} OFFSET ${skip}`).then(res => res.rows);

    processed += workers.length;

    skip += limit;

    if (_.isEmpty(workers)) {
      console.log('NO WORKERS');

      return false;
    }

    for(const worker of workers) {
    workerData = await instance
      .get(
        encodeURI(
          `Catalog_Сотрудники(guid'${worker.id}')/ФизическоеЛицо?$format=json`
        )
      )
      .then((response) => response.data)
      .then((data) => {
        fs.writeFileSync(`./data/worker-${worker.id}.json`, JSON.stringify(data, null, 2));

       return data;
      })
      .catch((err) => {
        console.error('GET DATA [FAIL]', err);
        throw err;
      });

       if(workerData.ДатаРождения) {

	const update = [
          worker.id,
          workerData.ДатаРождения,
        ]

                   const query = 'UPDATE worker SET birth_date=$2 WHERE id=$1';
      await client.query(query, update);

        
        }

         console.info(`WORKER [${worker.name}/${worker.code}]: OK`);

   

	counter += 1;
    }
  }

  console.log(`WORKERS PROCESSED [${counter}] of [${totalCount}]`);

  return true;
};

const sortAndNormalize = (arr) => {
  if(arr.length < 10) {
    return 0;
  }

  const truncAmount = Math.floor(arr.length / 3) ;

  arr.sort((a,b) => a - b);

  const slice1 = _.slice(arr, truncAmount);

  const slice2 = _.slice(slice1, 0, slice1.length - truncAmount);

  return _.sum(slice2) / slice2.length;
}

const client = new Client({
  user: "api-platform",
  host: "localhost",
  database: "api",
  password: "!ChangeMe!",
  port: 5432,
});

client.connect();

init().then(s => {
  client.end();
  console.log(s ? 'OK' : 'NOT OK');
  process.exit();
}).catch(e => {
  console.error(e);
  client.end();
  console.log('NOT OK');
  process.exit();  
});

